<?php
  /*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: class.xt_canonical.php 5029 2012-03-01 15:01:23Z achim $
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

defined('_VALID_CALL') or die('Direct Access is not allowed.');  
  
class xt_canonical{
 		private $page_name; 
 		
 		/**
 		 * get Canonical Tag 
 		 * @param $page_section string
 		 * @return string
 		 * 
 		 * */
 		public function _getCanonicalUrl($page_section)
 		{
 			global $xtLink;
 			$this->page_name = $page_section;
 			switch($this->page_name)
 			{
 				case 'product':
 					return $this->_getProductUrl();
 					break;
 				case 'content':
 					return $this->_getContentUrl();
 					break;	
 				case 'manufacturers':
 					return $this->_getManufacturersUrl();
 					break;
 				case 'categorie':
 					return $this->_getCategorieUrl();
 					break;
 				default:
 					return '<link rel="canonical" href="'.$xtLink->_link(array('page'=>'index','',true),'',true).'" />';
 					break;			
 			}
 		}
 		/**
 		 * get Canonical Tag for Product
 		 * 
 		 * @return string
 		 * 
 		 * */
        public function _getProductUrl() {
            global $p_info,$xtLink,$db;
            

            // check if product is slave product and either master setting is true or product setting is true
            if ($p_info->data['products_master_model']!='') {
                $sql = "SELECT products_id,products_canonical_master FROM ".TABLE_PRODUCTS." WHERE products_model='".$p_info->data['products_master_model']."' LIMIT 0,1";
                $rs = $db->Execute($sql);
                if ($rs->RecordCount()!=1) return false;
                if (XT_CANONICAL_APPLY_TO_ALL_SLAVES=='true' or $rs->fields['products_canonical_master']=='1') {
                    $can_product = new product($rs->fields['products_id']);
                    $link_array = array('page'=> 'product', 'type'=>'product', 'name'=>$can_product->data['products_name'], 'id'=>$can_product->data['products_id'],'seo_url'=>$can_product->data['url_text']);
                    $link_url = $xtLink->_link($link_array,'',true);
                    return '<link rel="canonical" href="'.$link_url.'" />';
                }
            }

            $link_array = array('page'=> 'product', 'type'=>'product', 'name'=>$p_info->data['products_name'], 'id'=>$p_info->data['products_id'],'seo_url'=>$p_info->data['url_text']);
            $link_url = $xtLink->_link($link_array,'',true);
            return '<link rel="canonical" href="'.$link_url.'" />';
            
        }
        /**
 		 * get Canonical Tag for Content
 		 * 
 		 * @return string
 		 * 
 		 * */
        public function _getContentUrl() {
            global $shop_content_data,$xtLink; 
            
            $link_array = array('page'=>'content', 'params'=>'coID='.$shop_content_data['content_id'],'seo_url' => $shop_content_data['url_text']);
            $link_url = $xtLink->_link($link_array,'',true);
            return '<link rel="canonical" href="'.$link_url.'" />';
        }
   		/**
 		 * get Canonical Tag for Manufacturer
 		 * 
 		 * @return string
 		 * 
 		 * */
 		public function _getManufacturersUrl() {
            global $manufacturer,$current_manufacturer_id,$xtLink; 
            $man = array('manufacturers_id' => $current_manufacturer_id);
			$man_data = $manufacturer->buildData($man);
            if((_SYSTEM_MOD_REWRITE == 'true') && (_SYSTEM_MOD_REWRITE_DEFAULT == 'true')){ 
				$link_array = array('page'=>'manufacturers', '','seo_url' => $man_data['url_text']);
            }
            else{
            	$link_array = array('page'=>'manufacturers', 'params'=>'mnf='.$current_manufacturer_id,'seo_url' => $man_data['url_text']);
            }
            $link_url = $xtLink->_link($link_array,'',true);
            return '<link rel="canonical" href="'.$link_url.'" />';
        }
        /**
 		 * get Canonical Tag for Categorie
 		 * 
 		 * @return string
 		 * 
 		 * */
 		public function _getCategorieUrl() {
            global $category,$current_category_id,$xtLink;
            if((_SYSTEM_MOD_REWRITE == 'true') && (_SYSTEM_MOD_REWRITE_DEFAULT == 'true')){ 
            	$link_array = array('page'=>'categorie', '','seo_url' => $category->current_category_data['url_text']);
            }
            else {
            	$link_array = array('page'=>'categorie', 'params'=>'cat='.$current_category_id,'seo_url' => $category->current_category_data['url_text']);
            }
            $link_url = $xtLink->_link($link_array,'',true);
            return '<link rel="canonical" href="'.$link_url.'" />';
        }
  }
?>