<?php
/**
 * Description
 * The AJAX file for JQeury. Preforms numerous actions for Javascript
 *
 * @since 1.0 - 16 mar 2011
 */
error_reporting(0);

define('_VALID_CALL', true);
define('USER_POSITION', 'store');

require_once(dirname($_SERVER["SCRIPT_FILENAME"]).'/classes/api/Klarna.php');
require_once('classes/class.xt_klarna.php');
require_once('classes/checkout/classes/class.KlarnaAPI.php');
require_once('classes/checkout/classes/class.KlarnaAjax.php');
require_once('classes/checkout/classes/class.KlarnaDispatcher.php');
require_once('classes/checkout/classes/class.KlarnaHTTPContext.php');

/* Initialize parts of xtCommerce Veyton */

//Go up 2 directories
$root_dir = dirname(dirname(dirname($_SERVER["SCRIPT_FILENAME"]))).'/';

$script_name = $_SERVER['SCRIPT_NAME'];
// fix for strato ssl proxy
if ($_SERVER['SERVER_NAME']=='www.ssl-id.de') {
    $_dir = explode('/',$script_name);
    unset($_dir[0]);
    unset($_dir[1]);
    $script_name='/'.implode('/',$_dir);

}
$sys_dir = $script_name;
$sys_dir = substr($sys_dir, 0, strripos($sys_dir, '/')+1);
$sys_dir = str_replace('export/', '', $sys_dir);

define('_SRV_WEBROOT',$root_dir);
define('_SRV_WEB', $sys_dir);

require_once($root_dir.'conf/config.php');
require_once($root_dir.'conf/config_charsets.php');
require_once($root_dir.'conf/database.php');
require_once($root_dir.'conf/paths.php');

require_once($root_dir.'xtFramework/classes/class.countries.php');
require_once($root_dir.'xtFramework/classes/class.currency.php');

require_once($root_dir.'xtFramework/function_handler.php');
require_once($root_dir.'xtFramework/database_handler.php');

error_reporting(0);

/* End of xtCommerce initialization */

$web_root = (!isset($_SERVER['HTTPS']) || $_SERVER['HTTPS'] == null) ? 'http://' : 'https://';
$web_root .= $_SERVER['HTTP_HOST'];
if(!isset($_SERVER['HTTPS']) || $_SERVER['HTTPS'] == null) {
    if($_SERVER['SERVER_PORT'] != "80") {
        $web_root .= ':'.$_SERVER['SERVER_PORT'];
    }
}
else {
    if($_SERVER['SERVER_PORT'] != '443') {
        $web_root .= ':'.$_SERVER['SERVER_PORT'];
    }
}
$web_root .= substr($_SERVER['SCRIPT_NAME'], 0, strrpos($_SERVER['SCRIPT_NAME'], basename($_SERVER["SCRIPT_FILENAME"])));

//Used to store pclasses in the database (format; user:passwd@addr:port/dbName.dbTable)
$pcURI = _SYSTEM_DATABASE_USER . ':' . _SYSTEM_DATABASE_PWD;
$pcURI .= '@' . _SYSTEM_DATABASE_HOST; //port omitted -> standard port used
$pcURI .= '/' . _SYSTEM_DATABASE_DATABASE . '.' . DB_PREFIX . '_klarna_pclasses';

$sCountry = strtolower(KlarnaHTTPContext::toString('country'));
$aSettings = getSettings($sCountry);

$oKlarna = new Klarna();
$oKlarna->config($aSettings['eid'], $aSettings['secret'], KlarnaCountry::SE, KlarnaLanguage::SV, KlarnaCurrency::SEK,
    $aSettings['mode'], 'mysql', $pcURI);
$oKlarna->setCountry($sCountry);

$kj = new KlarnaAjax ($oKlarna, $aSettings['eid'], dirname($_SERVER["SCRIPT_FILENAME"]) . "/classes/checkout/", $web_root);

$kj->__addSetupValues(array(
    'eid' => $aSettings['eid'],
    'path_css' => $web_root,
    'path_js' => $web_root . 'javascript/',
    'path_img' => $web_root . 'images/',
    'currency_suffix' => $_SESSION['klarna']['suffix'],
    'currency_prefix' => $_SESSION['klarna']['prefix']
));

$kj->__setTemplate(array(
    'name' => 'default'
));

KlarnaDispatcher::$charset = 'UTF-8';
$dispatcher = new KlarnaDispatcher($kj);
$dispatcher->dispatch ();


/**
 * @global type $db
 * @param type $sCountry
 * @return string
 */
function getSettings ($sCountry)
{
    global $db;

    $eidString = strtoupper("XT_KLARNA_EID_{$sCountry}");
    $secretString = strtoupper("XT_KLARNA_SECRET_{$sCountry}");
    $table = TABLE_CONFIGURATION_PAYMENT;

    $sql = <<<SQL
SELECT `config_key`, `config_value`
FROM $table
WHERE  `config_key` LIKE 'XT_KLARNA_MODE'
    OR `config_key` LIKE 'XT_KLARNA_SSL'
    OR `config_key` LIKE ?
    OR `config_key` LIKE ?
SQL;

    $settings = array(
        'eid' => null,
        'secret' => null,
        'mode' => null,
        'ssl' => null
    );

    $result = $db->Execute($db->Prepare($sql), array($secretString, $eidString));
    if(!$result) {
        return $settings;
    }

    while($row = $result->FetchRow()) {
        if($row['config_key'] == 'XT_KLARNA_MODE') {
            $settings['mode'] = $row['config_value'];
        }
        else if($row['config_key'] == 'XT_KLARNA_SSL') {
            $settings['ssl'] = $row['config_value'];
        }
        else if($row['config_key'] == $eidString) {
            $settings['eid'] = $row['config_value'];
        }
        else if($row['config_key'] == $secretString) {
            $settings['secret'] = $row['config_value'];
        }
    }

    return $settings;
}
