<?php

defined('_VALID_CALL') or die('Direct Access is not allowed.');

require_once _SRV_WEBROOT . 'plugins/xt_orders_invoices/classes/class.xt_orders_invoices.php';

$invoice = new xt_orders_invoices();
if (!$invoice->isExistByOrderId($this->oID)) {
    $js = "
        var conn = new Ext.data.Connection();
        conn.request({
            url: 'adminHandler.php?plugin=xt_orders_invoices&load_section=xt_orders_invoices&pg=issue',
            method:'GET',
            params: {'id': " . $this->oID . "},
            success: function(responseObject) {
                contentTabs.getActiveTab().getUpdater().refresh();
                window.open('adminHandler.php?plugin=xt_orders_invoices&load_section=xt_orders_invoices&pg=getPdf&id='+responseObject.responseText, '');
            }
        });
    ";

    $invoiceBtn = PhpExt_Button::createTextButton(
                    __define("XT_ORDERS_INVOICES_BUTTON_ISSUE"), new PhpExt_Handler(PhpExt_Javascript::stm($js))
    );

    $invoiceBtn->setType(PhpExt_Button::BUTTON_TYPE_BUTTON);
    $Panel->addButton($invoiceBtn);
} else {
    // Store
    $reader = new PhpExt_Data_ArrayReader();
    $reader->setId('invoice_id');

    $reader->addField(new PhpExt_Data_FieldConfigObject('document', 'document'));
    $reader->addField(new PhpExt_Data_FieldConfigObject('id', 'invoice_id', 'int'));
    $reader->addField(new PhpExt_Data_FieldConfigObject('issued_date', 'invoice_issued_date'));
    $reader->addField(new PhpExt_Data_FieldConfigObject('invoice_due_date', 'invoice_due_date'));
    $reader->addField(new PhpExt_Data_FieldConfigObject('amount', 'invoice_total_formatted2'));
    $reader->addField(new PhpExt_Data_FieldConfigObject('invoice_paid', 'invoice_paid', PhpExt_Data_FieldConfigObject::TYPE_BOOLEAN));
    $reader->addField(new PhpExt_Data_FieldConfigObject('payment', 'invoice_payment'));

    $store = new PhpExt_Data_Store();
    $store->setReader($reader)->setData(PhpExt_Javascript::variable("invoicesData"));

    // ColumnModel
    $colModel = new PhpExt_Grid_ColumnModel();
    $colModel->addColumn(PhpExt_Grid_ColumnConfigObject::createColumn(TEXT_DOCUMENT));
    $colModel->addColumn(PhpExt_Grid_ColumnConfigObject::createColumn(TEXT_INVOICE_ID));
    $colModel->addColumn(PhpExt_Grid_ColumnConfigObject::createColumn(TEXT_INVOICE_ISSUED_DATE));
    $colModel->addColumn(PhpExt_Grid_ColumnConfigObject::createColumn(TEXT_INVOICE_DUE_DATE, 'invoice_due_date'));
    $colModel->addColumn(PhpExt_Grid_ColumnConfigObject::createColumn(TEXT_INVOICE_TOTAL_FORMATTED));
    $colModel->addColumn(PhpExt_Grid_ColumnConfigObject::createColumn(TEXT_INVOICE_PAID, 'invoice_paid', null, 40, null, PhpExt_Javascript::variable('status_icon'), true, false));
    $colModel->addColumn(PhpExt_Grid_ColumnConfigObject::createColumn(TEXT_INVOICE_PAYMENT));

    // Actions
    $rowAction = new PhpExtUx_Grid_RowAction(__define("TEXT_SELECTED_ITEMS"));
    $rowAction->__set("header", 'Actions');

    $params = $invoice->_getParams();
    $settings = $params['rowActions'];

    $actions = new PhpExtUx_Grid_RowActionCollection();
    foreach ($settings as $setting) {
        $actions->add(PhpExt_Grid_RowActionObject::createAction($setting['iconCls'], '', $setting['qtipIndex'], $setting['tooltip']));
    }

    $rowAction->__set("actions", $actions);
    $colModel->addColumn($rowAction);

    $actJs = '';
    $settings = $params['rowActionsFunctions'];
    foreach ($settings as $action => $fkt_content) {
        $actJs .= "if (action == '" . $action . "') { " . $fkt_content . " }";
    }

    $rowaction = PhpExt_Javascript::variable("rowAction.on('action', function(grid, record, action, row, col) {" . $actJs . "});");

    // Grid
    $grid = new PhpExt_Grid_GridPanel();
    $grid->setStore($store)
            ->setId('xt_orders_invoicesgridForm')
            ->setColumnModel($colModel)
            //  ->setAutoExpandColumn("actions")
            //->setAutoHeight(false)
            //->setAutoWidth(true)
            ->setBorder(false)
            ->setLayout(new PhpExt_Layout_FitLayout())
            ->setRenderTo(PhpExt_Javascript::variable("Ext.get('memoContainer" . $this->oID . "')"));
    $grid->getPlugins()->add($rowAction);

    // Render
    $renderer = PhpExt_Javascript::functionDef(
                    'status_icon', "if (data == 1) { return '<img src=\"images/icons/bullet_green.png\" /><img src=\"images/icons/bullet_white.png\" />';" .
                    "} else {" .
                    "return '<img src=\"images/icons/bullet_white.png\" /><img src=\"images/icons/bullet_red.png\" />';	}", array('data')
    );

    $js = PhpExt_Ext::onReady(
                    PhpExt_Javascript::stm("var invoicesData = " . PhpExt_Javascript::jsonEncode($invoice->getOrderData($this->oID))), $rowAction->getJavascript(false, "rowAction"), $grid->getJavascript(false, "invoicesGrid"), $rowaction, $renderer
    );

    echo '<script type="text/javascript">' . $js . '</script>';
    echo '<script type="text/javascript" src="' . _SYSTEM_BASE_HTTP . '/' . _SRV_WEB_PLUGINS . 'xt_orders_invoices/js/xt_orders_invoices.js"></script>';
}
?>
