<?php
  /*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id$
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

defined('_VALID_CALL') or die('Direct Access is not allowed.');

class callback_xt_payments extends callback {

	var $version = '1.0';


	function process() {
		global $filter;


		//if (!is_array($_GET)) return;

		$this->data = array();
		foreach ($_GET as $key => $val) {
			$this->data[$key] = $filter->_filter($val);
		}

		$response = $this->_callbackProcess();

		if ($response->repost) {
			header('HTTP/1.0 404 Not Found');
		} else {
			header("HTTP/1.0 200 OK");
		}

	}


	function _callbackProcess() {
        
		if ($this->log_callback_data == true) {
			$log_data = array();
			$log_data['module'] = 'xt_payments';
			$log_data['class'] = 'callback_data';
			$log_data['transaction_id'] = $this->data['transaction_id'];
			$log_data['callback_data'] = serialize($this->data);
			$this->_addLogEntry($log_data);
		}
        

		// order ID already inserted ?
		$err = $this->_getOrderID();
		if (!$err)
		return false;

		// check if merchant ID matches
		$err = $this->_checkMerchantKey();

		if (!$err)
		return false;

		// validate md5signature
		$err = $this->_checkMD5Signature();
		if (!$err)
		return false;

		// validate Amount
		
        $err = $this->_checkAmount();
		if (!$err)
		return false;


		$this->_setStatus();

	}

	/**
	 * compare orders total amount with ipn amount
	 *
	 * @return boolean
	 */
	function _checkAmount() {
		global $db;

		$order = new order($this->orders_id,$this->customers_id);

		if ($order->order_total['total']['plain']==$this->data['totalAmount']) return true;

		$log_data = array();
		$log_data['module'] = 'xt_payments';
		$log_data['class'] = 'error';
		$log_data['error_msg'] = 'ERR 001: amount conflict';
		$log_data['error_data'] = serialize(array('detail'=>'Amount SEND:' . $this->data['totalAmount'] . ' Amount STORED:' . $order->order_total['total']['plain']));
		$this->_addLogEntry($log_data);

		return true;
	}

	/**
	 * Find order ID for given MB transaction_id
	 *
	 * @return boolean
	 */
	function _getOrderID() {
		global $db;

		$order_query = "SELECT orders_id,customers_id FROM ".TABLE_ORDERS." WHERE orders_id = '" . (int)$this->data['invoice_id'] . "'";
		$rs = $db->Execute($order_query);

		if ($rs->RecordCount() == 1) {
			$this->orders_id = $rs->fields['orders_id'];
			$this->customers_id = $rs->fields['customers_id'];
			return true;
		}

		$log_data = array();
		$log_data['module'] = 'xt_payments';
		$log_data['class'] = 'error';
		$log_data['error_msg'] = 'ERR 002: order id not found';
		$log_data['error_data'] = serialize(array('transaction_id'=>$this->data['invoice_id']));
		$this->_addLogEntry($log_data);
		$this->repost = true;
		return false;

	}

	/**
	 * check if merchant ID and mechant mail matches to DB
	 *
	 * @return boolean
	 */
	function _checkMerchantKey() {

		// does merchant site id exists ?
		if (!isset ($this->data['merchant_site_id']) || $this->data['merchant_site_id'] != XT_PAYMENTS_SITE_ID) {
			$log_data = array();
			$log_data['module'] = 'xt_payments';
			$log_data['class'] = 'error';
			$log_data['error_msg'] = 'ERR 003: site id conflict';
			$log_data['error_data'] = serialize(array('detail'=>'Site ID SEND:' . $this->data['merchant_site_id'] . ' Site ID STORED:' . XT_PAYMENTS_SITE_ID));
			$this->_addLogEntry($log_data);
			return false;
		}
		// merchant id ?
		if (!isset ($this->data['merchant_id']) || $this->data['merchant_id'] != XT_PAYMENTS_MERCHANT_ID) {
			$log_data = array();
			$log_data['module'] = 'xt_payments';
			$log_data['class'] = 'error';
			$log_data['error_msg'] = 'ERR 004: merchant id conflict';
			$log_data['error_data'] = serialize(array('Merchant ID SEND:' . $this->data['merchant_id'] . ' Merchant ID STORED:' . XT_PAYMENTS_MERCHANT_ID));
			$this->_addLogEntry($log_data);
			return false;
		}

		return true;
	}

	/**
	 * Calculate and check MD5 Signature of Callback
	 *
	 * @return boolean
	 */
	function _checkMD5Signature() {

		if (XT_PAYMENTS_SECRET_KEY == '')
		return true;

		$secret = XT_PAYMENTS_SECRET_KEY;
		$md5sec = strtoupper(md5($secret));
		$hash = $secret.$this->data['ppp_status'] . $this->data['PPP_TransactionID'];
        $hash = md5($hash);

        if ($hash!=$this->data['responsechecksum']) {
           $log_data['module'] = 'xt_payments';
           $log_data['class'] = 'error';
           $log_data['error_msg'] = 'ERR 005: md5 check failed';
           $this->_addLogEntry($log_data);
           return false; 
            
        }
        

		return true;

	}

	function _setStatus() {


		switch ($this->data['Status']) {

			// processed
			case 'APPROVED' :
            case 'SUCCESS' :
				$status = XT_PAYMENTS_PROCESSED;
				$log_data = array();
				$log_data['orders_id'] = $this->orders_id;
				$log_data['module'] = 'xt_payments';
				$log_data['class'] = 'success';
				$log_data['transaction_id'] = $this->data['PPP_TransactionID'];
				$log_data['callback_data'] = array('message'=>'OK','error'=>'200','transaction_id'=>$this->data['PPP_TransactionID']);
				$this->_addLogEntry($log_data);
                $txn_log_id = $this->data['PPP_TransactionID'];
				break;

				// canceled
			case 'DECLINED' :
			case 'ERROR' :
				$status = XT_PAYMENTS_CANCELED;
				$log_data = array();
				$log_data['orders_id'] = $this->orders_id;
				$log_data['module'] = 'xt_payments';
				$log_data['class'] = 'declined';
				$log_data['transaction_id'] = $this->data['PPP_TransactionID'];
				$log_data['callback_data'] = array('message'=>'FAILED','error'=>'999','transaction_id'=>$this->data['PPP_TransactionID']);
				$txn_log_id = $this->_addLogEntry($log_data);
				break;

				// pending
			case 'PENDING' :
				$status = XT_PAYMENTS_PENDING;
				$log_data = array();
				$log_data['orders_id'] = $this->orders_id;
				$log_data['module'] = 'xt_payments';
				$log_data['class'] = 'pending';
				$log_data['transaction_id'] = $this->data['PPP_TransactionID'];
				$log_data['callback_data'] = array('message'=>'PENDING','error'=>'200','transaction_id'=>$this->data['PPP_TransactionID']);
				$txn_log_id = $this->_addLogEntry($log_data);
				break;
				

		}

		// update order status
		$this->_updateOrderStatus($status,'true',$this->data['PPP_TransactionID']);
	}
}
?>