<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: class.callback.php 4614 2011-03-30 16:47:04Z mzanier $
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

defined('_VALID_CALL') or die('Direct Access is not allowed.');

include _SRV_WEBROOT.'plugins/xt_paypal/classes/class.xt_paypal.php';

class callback_xt_paypal extends callback {

	var $version = '1.0';
	var $log_callback = true;


	function process() {
		global $filter,$db;

		$this->data = array();
		foreach ($_POST as $key => $val) {
			$this->data[$key] = $filter->_filter($val);
		}

		if ($this->data['invoice']>0 && is_numeric($this->data['invoice'])) {


			// check if order exists
			$rs  = $db->Execute("SELECT	* FROM " . TABLE_ORDERS . " WHERE orders_id = '" . (int)$this->data['invoice'] . "'");

			if ($rs->RecordCount()==0) {
				$log_data['module'] = 'xt_paypal';
				$log_data['orders_id'] = (int)$this->data['invoice'];
				$log_data['class'] = 'error';
				$log_data['error_msg'] = 'orders_id not found';
				$log_data['error_data'] = serialize($_POST);
				$this->_addLogEntry($log_data);
				return false;
			}

			$this->orders_id = $rs->fields['orders_id'];
			$this->customers_id = $rs->fields['customers_id'];

			$log_data = array();
			$log_data['module'] = 'xt_paypal';
			$log_data['orders_id'] = $this->data['invoice'];
			$log_data['transaction_id'] = $this->data['txn_id'];
			$log_data['class'] = 'callback_data';
			$log_data['callback_data'] = serialize($_POST);
			$this->_addLogEntry($log_data);


			// verify data though curl call

			$parameters = 'cmd=_notify-validate';

			foreach ($this->data as $key => $value) {
				$parameters .= '&' . $key . '=' . urlencode(stripslashes($value));
			}

			$paypal = new paypal();
				
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $paypal->IPN_URL);
			curl_setopt($ch, CURLOPT_POST, 1);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $parameters);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_HEADER, 0);
			curl_setopt($ch, CURLOPT_TIMEOUT, 30);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);

			$result = curl_exec($ch);


			if (curl_errno($ch)) {

				$log_data = array();
				$log_data['module'] = 'xt_paypal';
				$log_data['class'] = 'error';
				$log_data['orders_id'] = $this->orders_id;
				$log_data['error_msg'] = curl_error($ch);
				$log_data['error_data'] = serialize($result);
				$txn_log_id = $this->_addLogEntry($log_data);
			} else {

				curl_close($ch);
			}

			if ($result == 'VERIFIED' or $result == '1') {

				switch ($this->data['payment_status']) {

					case 'Completed':
						$new_order_status = XT_PAYPAL_ORDER_STATUS_COMPLETED;
                        $db->Execute("UPDATE ".TABLE_ORDERS." SET orders_data='".$this->data['txn_id']."' WHERE orders_id='".(int)$this->data['invoice']."'"); 
						break;
					case 'Denied':
						$new_order_status = XT_PAYPAL_ORDER_STATUS_DENIED;
						break;
					case 'Failed':
						$new_order_status = XT_PAYPAL_ORDER_STATUS_FAILED;
						break;
					case 'Refunded':
						$new_order_status = XT_PAYPAL_ORDER_STATUS_REFUNDED;
						break;
					case 'Reversed':
						$new_order_status = XT_PAYPAL_ORDER_STATUS_REVERSED;
						break;
						
					case 'Pending':
						$new_order_status = XT_PAYPAL_ORDER_STATUS_PENDING;
                        $db->Execute("UPDATE ".TABLE_ORDERS." SET orders_data='".$this->data['txn_id']."' WHERE orders_id='".(int)$this->data['invoice']."'");
						break;
					
					default:
						$new_order_status = XT_PAYPAL_ORDER_STATUS_FAILED;
						break;

				}

			} else {
				$new_order_status = XT_PAYPAL_ORDER_STATUS_FAILED;
				$log_data['module'] = 'xt_paypal';
				$log_data['orders_id'] = $this->data['invoice'];
				$log_data['transaction_id'] = $this->data['txn_id'];
				$log_data['class'] = 'error';
				$log_data['error_msg'] = 'INVALID responce but invoice and Customer matched';
				$log_data['error_data'] = serialize($result);
				$this->_addLogEntry($log_data);
			}

			// send status mail
			$this->_updateOrderStatus($new_order_status,'true',$this->data['txn_id']);
            //return true;


		} else {

			$log_data['module'] = 'xt_paypal';
			$log_data['orders_id'] = '0';
			$log_data['class'] = 'error';
			$log_data['error_msg'] = 'no orders_id';
			$log_data['error_data'] = serialize($_POST);
			$this->_addLogEntry($log_data);

		}
	header("HTTP/1.0 200 OK");   
    }
    
}
?>