<?php

defined('_VALID_CALL') or die('Direct Access is not allowed.');

class xt_email_manager {

	protected $_table = TABLE_MAIL_TEMPLATES;
	protected $_table_lang = TABLE_MAIL_TEMPLATES_CONTENT;
	protected $_table_seo = null;
	protected $_master_key = 'tpl_id';

	function xt_email_manager(){
		$this->getPermission();
	}

	function setPosition ($position) {
		$this->position = $position;
	}

	function getPermission(){
		global $store_handler, $customers_status, $xtPlugin;

		$this->perm_array =array('shop_perm' => array('type'=>'shop',
								 		   			  'key'=>$this->_master_key,
								 		   			  'value_type'=>'email',
								 		   			  'pref'=>'e'
								 					),

								  'group_perm' => array('type'=>'group_permission',
								 		   				'key'=>$this->_master_key,
								 		   				'value_type'=>'email',
								 		   				'pref'=>'e'
								 					)
						  );

		($plugin_code = $xtPlugin->PluginCode(__CLASS__.':getPermission')) ? eval($plugin_code) : false;

		$this->permission = new item_permission($this->perm_array);

		return $this->perm_array;
	}

	function _getParams() {
		global $language, $xtPlugin;

		$params = array();

		$header['tpl_id'] = array('type' => 'hidden');

		foreach ($language->_getLanguageList() as $key => $val) {
			$header['mail_body_html_'.$val['code']] = array('type' => 'textarea','height'=>'800','width'=>'100%');
			$header['mail_body_txt_'.$val['code']] = array('type' => 'textarea','height'=>'800','width'=>'100%');
			$header['mail_subject_'.$val['code']] = array('width'=>'850');
		}

		$params['header']         = $header;
		$params['master_key']     = $this->_master_key;
		$params['default_sort']   = $this->_master_key;

		$params['display_copyBtn']  = true;
		$params['display_checkCol']  = true;

		if($this->url_data['pg']=='overview' && !$this->url_data['edit_id'] && $this->url_data['new'] != true){
			$params['include'] = array ('tpl_id', 'tpl_type', 'mail_subject_'.$language->code);
		}
		else
		{
		    if (isset($xtPlugin->active_modules['xt_reviewbooster'])) {
		        $params['exclude'] = array('internal_status');
		    }
		}


		return $params;
	}

	function _get($ID = 0) {
		global $xtPlugin, $db, $language;

		if ($this->position != 'admin') return false;

		if ($ID === 'new') {
               $obj = $this->_set(array(), 'new');
               $ID = $obj->new_id;
		}

		if (!$ID && !isset($this->sql_limit)) {
			$this->sql_limit = "0,25";
		}
		$where = '';
		if (isset($xtPlugin->active_modules['xt_reviewbooster'])) {
		  $where = 'internal_status != 1';
		}

		$table_data = new adminDB_DataRead($this->_table, $this->_table_lang, $this->_table_seo, $this->_master_key, $where, $this->sql_limit, $this->perm_array);

		if ($this->url_data['get_data']){
			$data = $table_data->getData();
		}elseif($ID){
			$data = $table_data->getData($ID);
		}else{
			$data = $table_data->getHeader();
		}

		if($table_data->_total_count!=0 || !$table_data->_total_count)
		$count_data = $table_data->_total_count;
		else
		$count_data = count($data);

		$obj->totalCount = $count_data;
		$obj->data = $data;

		return $obj;
	}

	function _set($data, $set_type = 'edit'){
		global $db,$language,$filter;

		 $obj = new stdClass;

		foreach ($data as $key => $val) {

			if($val == 'on')
			   $val = 1;
			   $data[$key] = $val;
		}

		 $oC = new adminDB_DataSave($this->_table, $data, false, __CLASS__);
		 $objC = $oC->saveDataSet();

		 if ($set_type=='new') {	// edit existing
		 	 $obj->new_id = $objC->new_id;
			 $data = array_merge($data, array($this->_master_key=>$objC->new_id));
		 }

		 $oCD = new adminDB_DataSave($this->_table_lang, $data, true, __CLASS__);
		 $objCD = $oCD->saveDataSet();

		$set_perm = new item_permission($this->perm_array);
		$set_perm->_saveData($data, $data[$this->_master_key]);

		 if ($objC->success && $objCD->success) {
		     $obj->success = true;
		 } else {
		     $obj->failed = true;
		 }

		return $obj;
	}

	function _unset($id = 0) {
	    global $db;
	    if ($id == 0) return false;
		if ($this->position != 'admin') return false;
		$id=(int)$id;
		if (!is_int($id)) return false;

		$set_perm = new item_permission($this->perm_array);
		$set_perm->_deleteData($id);

	    $db->Execute("DELETE FROM ". $this->_table ." WHERE ".$this->_master_key." = ".$id);
	    if ($this->_table_lang !== null)
	    $db->Execute("DELETE FROM ". $this->_table_lang ." WHERE ".$this->_master_key." = ".$id);
	}

	function _copy($ID){
		global $xtPlugin,$db,$language,$filter,$seo,$customers_status;
		if ($this->position != 'admin') return false;

		$ID=(int)$ID;
		if (!is_int($ID)) return false;

		($plugin_code = $xtPlugin->PluginCode('class.xt_email_manager.php:_copy_top')) ? eval($plugin_code) : false;
		if(isset($plugin_return_value))
		return $plugin_return_value;

		$obj = new stdClass;

		// Email Data:
		$e_table_data = new adminDB_DataRead($this->_table, $this->_table_lang, $this->_table_seo, $this->_master_key, '', '', $this->perm_array, 'false');
		$e_data = $e_table_data->getData($ID);
        $e_data = $e_data[0];

        $old_email = $e_data[$this->_master_key];

		unset($e_data[$this->_master_key]);

		$oE = new adminDB_DataSave($this->_table, $e_data);
		$objE = $oE->saveDataSet();

		$obj->new_id = $objE->new_id;
		$e_data[$this->_master_key] = $objE->new_id;

		$oED = new adminDB_DataSave($this->_table_lang, $e_data, true);
		$objED = $oED->saveDataSet();

	    $set_perm = new item_permission($this->perm_array);
		$set_perm->_saveData($e_data, $e_data[$this->_master_key]);

	    ($plugin_code = $xtPlugin->PluginCode('class.xt_email_manager.php:_copy_bottom')) ? eval($plugin_code) : false;

		$obj = new stdClass;
		$obj->success = true;
		return $obj;
	}

}
?>