<?php
defined('_VALID_CALL') or die('Direct Access is not allowed.');

class xt_reviewbooster_campaign_mails extends plg_config
{

	protected $_master_key = 'tpl_id';
	protected $_code = 'xt_reviewbooster';
	protected $_table = TABLE_MAIL_TEMPLATES;
	protected $_table_lang = TABLE_MAIL_TEMPLATES_CONTENT;
	protected static $_front_text_description_keys = array('XT_REVIEWBOOSTER_REVIEW_SUBMIT_MESSAGE', 'XT_REVIEWBOOSTER_DOUBLE_REVIEW_MESSAGE');

	private $data = array();

	public function __construct()
	{
		$link_params = array();
		if ($_GET)
		{
			$link_params = array_merge($link_params, $_GET);
		}
		if ($_POST)
		{
			$link_params = array_merge($link_params, $_POST);
		}
		if ($link_params['limit'])
		{
			if (!$link_params['start'])
				$link_params['start'] = 0;
			$limit = $link_params['start'] . ', ' . $link_params['limit'];
		}

		if ($limit)
		{
			$this->sql_limit = $limit;
		}

		if ($link_params['query'])
			$this->sql_search = $link_params['query'];

		if ($this->new == true)
		{
			$link_params['link_id'] = $_GET['edit_id'];
			$link_params['edit_id'] = $_GET['edit_id'];
		}

		if ($link_params['link_id'] && !is_int($link_params['link_id']))
		{
			$tmp_link_id_array = explode('_', $link_params['link_id']);
			$tmp_link_id_array = array_reverse($tmp_link_id_array);
			$link_params['link_id'] = $tmp_link_id_array[0];
		}

		$this->url_data = $link_params;
		unset($_POST['start']);
		unset($_POST['limit']);

		$this->getPermission();
	}

	function getPermission()
	{
		global $store_handler, $customers_status, $xtPlugin;

		$this->perm_array = array('shop_perm' => array('type' => 'shop', 'key' => $this->_master_key, 'value_type' => 'email', 'pref' => 'e'),

		'group_perm' => array('type' => 'group_permission', 'key' => $this->_master_key, 'value_type' => 'email', 'pref' => 'e'));

		($plugin_code = $xtPlugin->PluginCode(__CLASS__ . ':getPermission')) ? eval($plugin_code) : false;

		$this->permission = new item_permission($this->perm_array);
		return $this->perm_array;
	}

	public function getData()
	{
		return $this->data;
	}

	function _getParams()
	{
    	global $language;

    	$params = array();

    	$header[$this->_master_key] = array('type' => 'hidden');
    	$header['internal_status'] = array('type' => 'hidden');


    	foreach ($language->_getLanguageList() as $val)
    	{
    		$header['mail_body_html_' . $val['code']] = array('type' => 'textarea', 'height' => '400', 'width' => '100%');
    		$header['mail_body_txt_' . $val['code']] = array('type' => 'textarea', 'height' => '400', 'width' => '100%');
    		$header['mail_subject_' . $val['code']] = array('width' => '450');
    	}

    	$header['reviewbooster_trigger_status'] = array('type' => 'dropdown', 'url' => 'DropdownData.php?get=order_status', 'width' => '300');
    	$header['reviewbooster_delay'] = array();
    	$params['header'] = $header;
    	$params['master_key'] = $this->_master_key;
    	$params['default_sort'] = $this->_master_key;

    	$params['display_copyBtn'] = true;
    	$params['display_checkCol'] = true;
    	return $params;
	}

	function _get($ID = 0)
	{
		global $xtPlugin, $db, $language;

		if (USER_POSITION != 'admin')
		{
			return false;
		}

		$where = '';

		$table_data = new adminDB_DataRead($this->_table, $this->_table_lang, $this->_table_seo, $this->_master_key, $where, $this->sql_limit, $this->perm_array);

		if ($this->url_data['get_data'])
		{
			$data = $table_data->getData();
		}
		elseif ($ID)
		{
			$data = $table_data->getData($ID);
		}
		else
		{
			$data = $table_data->getHeader();
		}

		if ($table_data->_total_count != 0 || !$table_data->_total_count)
			$count_data = $table_data->_total_count;
		else
			$count_data = count($data);

		if ($count_data)
		{
			foreach ($data as &$tpl)
			{
				$sql = "SELECT * FROM " . TABLE_REVIEWBOOSTER_TEMPLATES . " WHERE tpl_id=" . $tpl['tpl_id'];
				$record = $db->getRow($sql);
				$tpl['reviewbooster_trigger_status'] = $record['trigger_status'];
				$tpl['reviewbooster_delay'] = $record['delay'];
			}
		}

		$obj->totalCount = $count_data;
		$obj->data = $data;
		return $obj;
	}

	function _set($data, $set_type = 'edit')
	{
		global $db, $language, $filter;

		$obj = new stdClass();

		foreach ($data as $key => $val)
		{

			if ($val == 'on')
				$val = 1;
			$data[$key] = $val;
		}

		$oC = new adminDB_DataSave($this->_table, $data, false, __CLASS__);
		$objC = $oC->saveDataSet();

		if ($set_type == 'new')
		{ // edit existing
			$obj->new_id = $objC->new_id;
			$data = array_merge($data, array($this->_master_key => $objC->new_id));
		}

		$oCD = new adminDB_DataSave($this->_table_lang, $data, true, __CLASS__);
		$objCD = $oCD->saveDataSet();

		$data['trigger_status'] = $data['reviewbooster_trigger_status'];
		$data['delay'] = $data['reviewbooster_delay'];

		$oCD = new adminDB_DataSave(TABLE_REVIEWBOOSTER_TEMPLATES, $data);
		$objCD = $oCD->saveDataSet();

		$set_perm = new item_permission($this->perm_array);
		$set_perm->_saveData($data, $data[$this->_master_key]);

		if ($objC->success && $objCD->success)
		{
			$obj->success = true;
		}
		else
		{
			$obj->failed = true;
		}

		return $obj;
	}
}