<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Enterprise
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright �2007-2008 xt:Commerce GmbH. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~~~~ xt:Commerce VEYTON 4.0 Enterprise IS NOT FREE SOFTWARE ~~~~~~~~~~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: class.xt_reviews.php 5185 2012-04-23 09:18:34Z nikita $
 # @copyright xt:Commerce GmbH, www.xt-commerce.com
 #
 # @author Mario Zanier, xt:Commerce GmbH	mzanier@xt-commerce.com
 #
 # @author Matthias Hinsche					mh@xt-commerce.com
 # @author Matthias Benkwitz				mb@xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce GmbH, Bachweg 1, A-6091 Goetzens (AUSTRIA)
 # office@xt-commerce.com
 #
 #########################################################################
 */

defined('_VALID_CALL') or die('Direct Access is not allowed.');
class xt_reviews {

	var $navigation_count, $navigation_pages;

	protected $_table = TABLE_PRODUCTS_REVIEWS;
	protected $_table_lang = null;
	protected $_table_seo = null;
	protected $_master_key = 'review_id';

	function _addReview($data) {
		global $db, $filter, $language, $xtPlugin;

		$data_array = array();
		if (isset($xtPlugin->active_modules['xt_reviewbooster']) && isset($data['reviewbooster_life_circle_id'])) {
			$data_array['reviewbooster_life_circle_id'] = (int)$data['reviewbooster_life_circle_id'];
			$data_array['customers_id'] = $data['customer_id'];
		} else {
			if(!$_SESSION['registered_customer']) return false;
			$data_array['customers_id'] = $_SESSION['customer']->customers_id;
		}

		$review_rating = (int)$data['review_rating'];
		$review_title = $filter->_filter($data['review_title']);
		$review_text = $filter->_filter($data['review_text']);
		$products_id = (int)$data['products_id'];

		if ($review_rating=='' or $review_title=='' or $review_text=='' or $products_id=='') return false;

		// insert values
		$data_array['products_id']=$products_id;
		$data_array['review_rating']=$review_rating;
		$data_array['review_title']=$review_title;
		$data_array['review_date']=$db->BindTimeStamp(time());
		$data_array['review_text']=$review_text;
		$data_array['language_code']=$language->code;
		$db->AutoExecute(TABLE_PRODUCTS_REVIEWS,$data_array,'INSERT');
		return true;
	}

	function _deleteReview($data) {

	}

	function getReviewsListing($products_id) {
		global $db,$xtLink;

		$products_id = (int)$products_id;
		$query = "SELECT * FROM ".TABLE_PRODUCTS_REVIEWS." WHERE products_id='".$products_id."' and review_status='1'";

		$pages = new split_page($query,'5', $xtLink->_getParams(array ('next_page')).'&page_action=show');

		$this->navigation_count = $pages->split_data['count'];
		$this->navigation_pages = $pages->split_data['pages'];

		$module_content = array();


		foreach ($pages->split_data['data'] as $key => $arr) {
			$arr['review_rating'] = $this->_getStars($arr['review_rating']);
			$customer = new customer($arr['customers_id']);

			$arr['review_editor'] = $customer->customer_default_address['customers_firstname'].' '.substr($customer->customer_default_address['customers_lastname'],0,1).'.';
			$module_content[] = $arr;
		}

		return $module_content;


	}

	function _getStars($rate=0) {
		if ($rate==0) return 1;
		$a = 5;
		$b = 100;
		$c = $rate;
		$x = $c*$b/$a;
		return $x;

	}

	/**
	 * recalulate rating count and AVG rating for given products id or review id
	 *
	 * @param int $id
	 * @return boolean
	 */
	function _reCalculate($id, $wtype='products_id') {
		global $db;

		$id = (int)$id;
		if (!is_int($id)) return false;

		if($wtype!='products_id'){
			$rrs = $db->Execute("SELECT products_id FROM ".TABLE_PRODUCTS_REVIEWS." WHERE ".$wtype."='".$id."'");
			if ($rrs->RecordCount()>0) {
				$products_id = $rrs->fields['products_id'];
			}
		} else {
           $products_id=$id;
        }

		$rs = $db->Execute("SELECT COUNT(*) as count, AVG(review_rating) as rating FROM ".TABLE_PRODUCTS_REVIEWS." WHERE products_id ='".$products_id."' and review_status='1'");
		if ($rs->fields['count']>0) {
			$this->_updateRate($products_id,$rs->fields['rating'],$rs->fields['count']);
		}else{

			$this->_updateRate($products_id,'0','0');
		}

		return true;
	}

	function _updateRate($products_id,$rate,$count) {
		global $db;
		$db->Execute("UPDATE ".TABLE_PRODUCTS." SET products_average_rating='".$rate."',products_rating_count='".$count."' WHERE products_id='".$products_id."'");
	}

	function setPosition ($position) {
		$this->position = $position;
	}

	function _getParams() {
		global $language, $xtPlugin;

		$header['review_id'] = array('type' => 'hidden');
		$header['products_id'] = array('type' => 'hidden');
		$header['customers_id'] = array('type' => 'hidden');

		$header['review_text'] = array('type' => 'textarea');

		$header['review_title'] = array('type' => 'textfield');

		$header['review_rating'] = array('renderer' => 'starRenderer','type' => 'hidden');

		$params['header']         = $header;
		$params['master_key']     = $this->_master_key;
		$params['default_sort']   = $this->_master_key;
		$params['SortField']      = $this->_master_key;
		$params['SortDir']        = "DESC";

		$params['display_checkCol']  = true;
		$params['display_statusTrueBtn']  = true;
		$params['display_statusFalseBtn']  = true;

		 $params['display_newBtn'] = false;

		 if(isset($xtPlugin->active_modules['xt_reviewbooster']))
		 {
		     $params['exclude'] = array('reviewbooster_life_circle_id', 'reviewbooster_sending_status');
		 }
		 else
		 {
            $params['exclude'] = array('');
		 }

		return $params;
	}

	function _get($ID = 0) {
		global $xtPlugin, $db, $language;

		if ($this->position != 'admin') return false;
		$obj = new stdClass();
		if ($ID === 'new') {
               $obj = $this->_set(array(), 'new');
               $ID = $obj->new_id;
		}
		$ID = (int)$ID;
		$table_data = new adminDB_DataRead($this->_table, $this->_table_lang, $this->_table_seo, $this->_master_key);

		if ($this->url_data['get_data'])
        $data = $table_data->getData();
        elseif($ID)
        $data = $table_data->getData($ID);
        else
		$data = $table_data->getHeader();

		if($table_data->_total_count!=0 || !$table_data->_total_count)
		$count_data = $table_data->_total_count;
		else
		$count_data = count($data);

		$obj->totalCount = $count_data;
		$obj->data = $data;

		return $obj;
	}

	private function _boosterStatusUpdate($data) {
		global $db, $xtPlugin, $language, $xtLink;
		$id = $data['review_id'];
		$query = "SELECT * FROM ".TABLE_PRODUCTS_REVIEWS." WHERE review_id='".$id."'";
		$rrs = $db->Execute($query);
		if($rrs->RecordCount() > 0) {
			if($rrs->fields['reviewbooster_sending_status'] == 0) {
			    $customTemplate = false;
			    if($rrs->fields['reviewbooster_life_circle_id'] && isset($xtPlugin->active_modules['xt_coupons'])) {
			        $reviewboosterObject = xt_reviewbooster::getById($rrs->fields['reviewbooster_life_circle_id']);
					if($reviewboosterObject->site_id) {
						$template_type = xt_reviewbooster::TEMPLATE_TYPE_PRODUCT_REVIEW_APPROVAL."_".$reviewboosterObject->campaign_id;
						$customTemplate = true;
					} else {
						$template_type = xt_reviewbooster::TEMPLATE_TYPE_REVIEW_APPROVAL_COUPON."_".$reviewboosterObject->campaign_id;
					}
			    } elseif($rrs->fields['reviewbooster_life_circle_id']) {
    			    $reviewboosterObject = xt_reviewbooster::getById($rrs->fields['reviewbooster_life_circle_id']);
					$template_type = xt_reviewbooster::TEMPLATE_TYPE_PRODUCT_REVIEW_APPROVAL."_".$reviewboosterObject->campaign_id;
					$customTemplate = true;
			    } else {
			        $template_type = xt_reviewbooster::TEMPLATE_TYPE_PRODUCT_REVIEW_APPROVAL;
			    }

				if($template_type == xt_reviewbooster::TEMPLATE_TYPE_PRODUCT_REVIEW_APPROVAL || $customTemplate) {
					$customer = new customer($rrs->fields['customers_id']);
					$email = $customer->customer_info['customers_email_address'];
                    $language_code = !is_null($customer->customer_info['customers_default_language']) ? $customer->customer_info['customers_default_language'] : _STORE_LANGUAGE;
                    $reviewMail = new xtMailer($template_type, $language_code);
					$reviewMail->_addReceiver($email, $customer->customer_default_address["customers_firstname"].' '.$customer->customer_default_address["customers_lastname"]);
					$product = new product($rrs->fields['products_id']);
				    $order_data['billing_firstname'] = $customer->customer_default_address["customers_firstname"];
				    $order_data['billing_lastname'] = $customer->customer_default_address["customers_lastname"];
				    $reviewMail->_assign('order_data',$order_data);
                    $link_array = array('page' => 'reviews', 'paction' => 'show', 'params' => 'info='.$product->data['products_id']);
                    $product->data['review_page'] = $xtLink->_link($link_array);
					$reviewMail->_assign('product_data',$product->data);
					$shop = new multistore();
					$reviewMail->_assign('shop_name', $shop->getStoreName($shop->defaultStore));
					$reviewMail->_sendMail();
					if ($reviewMail->error_count == 0) {
						if($customTemplate) {
							$reviewboosterObject->setStatus(xt_reviewbooster::STATUS_APPROVAL_SENT);
							$reviewboosterObject->updateStatistics('reviewbooster_reviews_submitted');
						}
						$sql = 'UPDATE '.$this->_table.' SET reviewbooster_sending_status=1 WHERE '.$this->_master_key.'='.$id;
						$db->Execute($sql);
					}
				} else {
					if ($reviewboosterObject->sendMail($template_type)) {
						$reviewboosterObject->setStatus(xt_reviewbooster::STATUS_APPROVAL_SENT);
						$sql = 'UPDATE '.$this->_table.' SET reviewbooster_sending_status=1 WHERE '.$this->_master_key.'='.$id;
						$db->Execute($sql);
						$reviewboosterObject->updateStatistics('reviewbooster_reviews_submitted');
					} else {
						$reviewboosterObject->setStatus(xt_reviewbooster::STATUS_NEED_SEND_APPROVAL);
					}
			    }
			}
		}
		return $data;
	}

	function _set($data, $set_type='edit') {
		global $db, $language, $filter, $xtPlugin;

		if(isset($xtPlugin->active_modules['xt_reviewbooster']) && $this->url_data['review_status']) {
		    $data['review_id'] = $this->url_data['review_id'];
			$data = $this->_boosterStatusUpdate($data);
		}

		$obj = new stdClass;
		$o = new adminDB_DataSave($this->_table, $data, false, __CLASS__);
		$obj = $o->saveDataSet();

		$this->_reCalculate($data['products_id']);

		return $obj;
	}

	function _unset($id = 0) {
	    global $db;
	    if ($id == 0) return false;
		if ($this->position != 'admin') return false;
		$id=(int)$id;
		if (!is_int($id)) return false;
	//DebugBreak();
        $rrs = $db->Execute("SELECT products_id FROM ".$this->_table." WHERE ".$this->_master_key."='".$id."'");
        if ($rrs->RecordCount()>0) {
            $products_id = $rrs->fields['products_id'];
        } else {
            return false;
        }
   // debugbreak();
	    $db->Execute("DELETE FROM ". $this->_table ." WHERE ".$this->_master_key." = '".$id."'");

	    $this->_reCalculate($products_id);

	}

	function _setStatus($id, $status) {
		global $db, $xtPlugin;

		if(isset($xtPlugin->active_modules['xt_reviewbooster']) && $status) {
			$this->_boosterStatusUpdate(array('review_id' => $id));
		}
		$id = (int)$id;
		if (!is_int($id)) return false;
   		$db->Execute("update " . $this->_table . " set review_status = ".$status." where review_id = '" . $id . "'");
    	$this->_reCalculate($id, 'review_id');
	}

}
?>