<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: class.manufacturer.php 5374 2012-07-18 09:52:53Z mario $
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

defined('_VALID_CALL') or die('Direct Access is not allowed.');

class manufacturer {
	public $_master_key = 'manufacturers_id';
	public $_image_key = 'manufacturers_image';
	public $_table = TABLE_MANUFACTURERS;
	public $_display_key = 'manufacturers_name';
	protected $_table_lang = TABLE_MANUFACTURERS_DESCRIPTION;
	protected $_table_seo = TABLE_SEO_URL;


	function manufacturer($mnf_id = 0) {
		global $xtPlugin;

		($plugin_code = $xtPlugin->PluginCode('class.manufacturer.php:manufacturer_top')) ? eval($plugin_code) : false;
		if(isset($plugin_return_value))
		return $plugin_return_value;

		$this->getPermission();
		
		if($mnf_id != 0){

			$this->mnf_id = $mnf_id;
			$data = $this->getManufacturerData($mnf_id);
			$this->data = $this->buildData($data);

		}

	}

	function getPermission(){
		global $store_handler, $customers_status, $xtPlugin;

		$this->perm_array =array('shop_perm' => array('type'=>'shop',
													      'table'=>TABLE_MANUFACTURERS_PERMISSION,
								 		   			  	  'key'=>$this->_master_key,
								 		   			  	  'pref'=>'m'
								 		   			  	));

								 		   				($plugin_code = $xtPlugin->PluginCode(__CLASS__.':getPermission')) ? eval($plugin_code) : false;

								 		   				$this->permission = new item_permission($this->perm_array);

								 		   				return $this->perm_array;
	}	
	
	function getManufacturerData ($mID) {
		global $xtPlugin, $db;

		($plugin_code = $xtPlugin->PluginCode('class.manufacturer.php:getManufacturerData_top')) ? eval($plugin_code) : false;
		if(isset($plugin_return_value))
		return $plugin_return_value;

		$sql_tablecols = "m.*,mi.*,su.*";

		($plugin_code = $xtPlugin->PluginCode('class.manufacturer.php:getManufacturerData_sql_tablecols')) ? eval($plugin_code) : false;

		$this->sql_manufacturer = new getManufacturerSQL_query();
		$this->sql_manufacturer->setPosition('getManufacturerData');
		$this->sql_manufacturer->setFilter('Language');
		$this->sql_manufacturer->setFilter('Seo');
		$this->sql_manufacturer->setSQL_COLS(", " . $sql_tablecols);
		$this->sql_manufacturer->setSQL_WHERE("and m.manufacturers_id = '" . (int)$mID . "'");
		($plugin_code = $xtPlugin->PluginCode('class.manufacturer.php:getManufacturerData_SQL')) ? eval($plugin_code) : false;

		$query = "".$this->sql_manufacturer->getSQL_query()."";

		$record = $db->Execute($query);
		if($record->RecordCount() > 0){
			$data = $record->fields;
			($plugin_code = $xtPlugin->PluginCode('manufacturer:getManufacturerData_bottom')) ? eval($plugin_code) : false;
			return $data;
		}else{
			return false;
		}
	}

	function buildData(&$data) {
		global $xtPlugin, $xtLink, $module;

		($plugin_code = $xtPlugin->PluginCode('manufacturer:buildData_top')) ? eval($plugin_code) : false;
		if(isset($plugin_return_value))
		return $plugin_return_value;

		if (is_array($data) && count($data) == 1 && is_data($data['manufacturers_id']))
		$data = $this->getManufacturerData($data['manufacturers_id']);

		$link_array = array('page'=> 'manufacturers', 'type'=>'manufacturer', 'name'=>$data['manufacturers_name'], 'id'=>$data['manufacturers_id'],'seo_url' => $data['url_text']);
		$data['link'] = $xtLink->_link($link_array);
		
		if ($data['manufacturers_image']!='') $data['manufacturers_image']= __CLASS__.':'.$data['manufacturers_image'];

		$data['id'] = $data['manufacturers_id'];
		$data['text'] = $data['manufacturers_name'];
		
		global $mediaImages;
		$media_images = $mediaImages->get_media_images($data['manufacturers_id'], __CLASS__);
		$data['more_images'] = $media_images['images'];			
		
		($plugin_code = $xtPlugin->PluginCode('manufacturer:buildData_bottom')) ? eval($plugin_code) : false;
		return $data;
	}

	function getManufacturerList ($type='default', $position='default', $order_by = '') {
		global $xtPlugin, $db;

		($plugin_code = $xtPlugin->PluginCode('manufacturer:getManufacturerList_top')) ? eval($plugin_code) : false;
		if(isset($plugin_return_value))
		return $plugin_return_value;

		$this->sql_manufacturer = new getManufacturerSQL_query();
		$this->sql_manufacturer->setPosition('getManufacturerList');
		
		
		($plugin_code = $xtPlugin->PluginCode('class.manufacturer.php:getManufacturerList_SQL')) ? eval($plugin_code) : false;

		if ($type != 'admin') 
		$this->sql_manufacturer->setFilter('GroupCheck');
		
		if($type == 'default'){
			$this->sql_manufacturer->setSQL_TABLE("LEFT JOIN " . TABLE_PRODUCTS . " p ON p.manufacturers_id = m.manufacturers_id");
			$this->sql_manufacturer->setSQL_WHERE("and p.products_status = '1' ");
		}
        
        if ($position=='box') {
           $this->sql_manufacturer->setSQL_WHERE("and m.manufacturers_status = '1' "); 
        }
		
        if(!empty($order_by)){
        	$this->sql_manufacturer->setSQL_SORT($order_by);
        }
        else {
        	$this->sql_manufacturer->setSQL_SORT('m.manufacturers_name');
        }
        
		$query = "".$this->sql_manufacturer->getSQL_query('DISTINCT m.manufacturers_id')."";
		if ($position=='box') {
			$record = $db->CacheExecute(_CACHETIME_MANUFACTURER_LIST,$query);
		} else {
			$record = $db->Execute($query);
		}

		if($record->RecordCount() > 0){
			while(!$record->EOF){
				($plugin_code = $xtPlugin->PluginCode('manufacturer:getManufacturerList_data')) ? eval($plugin_code) : false;

				$data[] = $this->buildData($record->fields);

				$record->MoveNext();
			}$record->Close();
			($plugin_code = $xtPlugin->PluginCode('manufacturer:getManufacturerList_bottom')) ? eval($plugin_code) : false;
			return $data;
		}else{
			return false;
		}
	}

	function getManufacturerSortDropdown($default) {
		// TODO
	}

	function setPosition ($position) {
		$this->position = $position;
	}

	function _getParams() {
		global $language;

		$params = array();

		$header['external_id'] = array('type' => 'hidden');

		foreach ($language->_getLanguageList() as $key => $val) {
			$header['manufacturers_description_'.$val['code']] = array('type' => 'htmleditor');

			if(_SYSTEM_HIDE_SUMAURL=='true'){
				$header['url_text_'.$val['code']] = array('type'=>'hidden');
			}else{
				$header['url_text_'.$val['code']] = array('width'=>400);
			}

			$header['meta_keywords_'.$val['code']] = array('width'=>400);
			$header['meta_title_'.$val['code']] = array('width'=>400);
			$header['meta_description_'.$val['code']] = array('type' => 'textarea','width'=>400,'height'=>60);
		}

		$menuGroups[] = array('group'=>'seo_rewrite', 'group_name'=>TEXT_MENU_OPTIONS, 'ToolbarPos'=>'Toolbar', 'Pos'=>'grid'); // Toolbarpos = TopToolbar or Toolbar, Pos = grid / edit / both
		$params['menuGroups']			   = $menuGroups;		
		
        if ($this->url_data['edit_id'])
		  $js = "var edit_id = ".$this->url_data['edit_id'].";";
		else
          $js = "var edit_id = record.id;";
                  
        //$js .= "addTab('adminHandler.php?load_section=product&pg=rebuild_seo&seo_type=products, '".TEXT_SEO_URLS."')";
        $extF = new ExtFunctions();
        $mjs .= $extF->_MultiButton_stm('BUTTON_START_SEO', 'doMnfSeo');
 
        $params['display_MnfSeoMn']  = true;
		$menuActions['seo_rewrite']['MnfSeo'] = array('status'=>'true', 'text'=>'TEXT_PROCESS_SEO', 'style'=>'reload', 'icon'=>'reload.png', 'acl'=>'new', 'stm'=>$mjs, 'func'=>'doMnfSeo', 'flag'=>'multiFlag_rebuildSeo', 'flag_value'=>'true');
 		$params['menuActions']             = $menuActions;
 				
		
		$params['header']         = $header;
		$params['master_key']     = $this->_master_key;
		$params['default_sort']   = $this->_master_key;
		//$params['path']           = "manufacturers/";

		$params['display_checkCol']  = true;
		$params['display_statusTrueBtn']  = true;
		$params['display_statusFalseBtn']  = true;
        
        $params['display_searchPanel']  = true;

/*
		$params['GroupField']     = "manufacturers_status";
		$params['SortField']      = "manufacturers_name";
		$params['SortDir']        = "ASC";
*/
		if($this->url_data['pg']=='overview' && !$this->url_data['edit_id'] && $this->url_data['new'] != true){
			$params['include'] = array ('manufacturers_id', 'manufacturers_name', 'manufacturers_image', 'manufacturers_status');
		}else{
			$params['exclude'] = array('date_added', 'last_modified');
		}

		return $params;
	}
    
    function _getSearchIDs($search_data) {
        global $filter;

        $sql_tablecols = array('manufacturers_name','manufacturers_id');

        foreach ($sql_tablecols as $tablecol) {
               $sql_where[]= "(".$tablecol." LIKE '%".$filter->_filter($search_data)."%')";
        }

        if(is_array($sql_where)){
            $sql_data_array = " (".implode(' or ', $sql_where).")";
        }

        return $sql_data_array;
    }

	function _get($ID = 0) {
		global $xtPlugin, $db, $language;

		if ($this->position != 'admin') return false;

		$obj = new stdClass;

		if ($ID === 'new') {
			$obj = $this->_set(array(), 'new');
			$ID = $obj->new_id;
		}
		$ID=(int)$ID;
        
        if($this->url_data['query']){
            $sql_where = $this->_getSearchIDs($this->url_data['query']);
            $where .= $sql_where;
        }

		if (!$ID && !isset($this->sql_limit)) {
			$this->sql_limit = "0,25";
		}			
		
		$table_data = new adminDB_DataRead($this->_table, $this->_table_lang, $this->_table_seo, $this->_master_key, $where, $this->sql_limit, $this->perm_array);    

		if ($this->url_data['get_data']){
			$data = $table_data->getData();
		}elseif($ID){
			$data = $table_data->getData($ID);
		}else{
			$data = $table_data->getHeader();
		}

		if($table_data->_total_count!=0 || !$table_data->_total_count)
		$count_data = $table_data->_total_count;
		else
		$count_data = count($data);

		$obj->totalCount = $count_data;
		$obj->data = $data;

		return $obj;
	}

	function _set($data, $set_type = 'edit') {
		global $db,$language,$filter,$seo;

		$obj = new stdClass;

		unset($data['manufacturers_image']);
		
		$oC = new adminDB_DataSave($this->_table, $data, false, __CLASS__);
		$objC = $oC->saveDataSet();

		if ($set_type=='new') {	// edit existing
			$obj->new_id = $objC->new_id;
			$data = array_merge($data, array($this->_master_key=>$objC->new_id));
		}

		$oCD = new adminDB_DataSave($this->_table_lang, $data, true, __CLASS__);
		$objCD = $oCD->saveDataSet();

		// Build Seo URLS
		foreach ($language->_getLanguageList() as $key => $val) {

			if($data['url_text_'.$val['code']] != '' && $data['url_text_'.$val['code']]!='Suma URL'){
				$auto_generate = false;
			}else{
				$auto_generate = true;
				$data['url_text_'.$val['code']] = $data['manufacturers_name'];
			}

			if ($set_type=='edit') {	// edit existing
				$seo->_UpdateRecord('manufacturer',$data['manufacturers_id'], $val['code'], $data,$auto_generate);
			}
		}
		
		$set_perm = new item_permission($this->perm_array);
		$set_perm->_saveData($data, $data[$this->_master_key]);		
		
		if ($objC->success && $objCD->success) {
			$obj->success = true;
		} else {
			$obj->failed = true;
		}

		return $obj;
	}

	function _setImage($id, $file) {
		global $xtPlugin,$db,$language,$filter,$seo;
		if ($this->position != 'admin') return false;

		($plugin_code = $xtPlugin->PluginCode('class.manufacturer.php:_setImage_top')) ? eval($plugin_code) : false;

		$obj = new stdClass;

		$data[$this->_master_key] = $id;
		$data['manufacturers_image'] = $file;

		$o = new adminDB_DataSave($this->_table, $data);
		$obj = $o->saveDataSet();

		$obj->totalCount = 1;
		if ($obj->success) {
			$obj->success = true;
		} else {
			$obj->failed = true;
		}

		($plugin_code = $xtPlugin->PluginCode('class.manufacturer.php:_setImage_bottom')) ? eval($plugin_code) : false;
		return $obj;
	}		
	
	function _rebuildSeo($id, $params){
		global $xtPlugin,$db,$language,$filter,$seo;
		if ($this->position != 'admin') return false;

		$obj = new stdClass;
		
		$seo->_rebuildSeo($this->_table, $this->_table_lang, $this->_table_seo, '4', 'manufacturer', 'manufacturers_name', $this->_master_key, $id);		
	
		$obj->success = true;
		return $obj;			
			
	}	
	
	function _unset($id = 0) {
		global $db;
		if ($id == 0) return false;
		$id=(int)$id;
		if(!is_int($id)) return false;
		
		$set_perm = new item_permission($this->perm_array);
		$set_perm->_deleteData($id);		

		$db->Execute("DELETE FROM ". $this->_table ." WHERE ".$this->_master_key." = ".$id);
		if ($this->_table_lang !== null)
		$db->Execute("DELETE FROM ". $this->_table_lang ." WHERE ".$this->_master_key." = ".$id);
		$db->Execute("DELETE FROM " . $this->_table_seo . " WHERE link_id = '" .$id . "' and link_type='4'");

	}

	function _setStatus($id, $status) {
		global $db,$xtPlugin;

		$id = (int)$id;
		if (!is_int($id)) return false;

		$db->Execute("UPDATE " . $this->_table . " SET manufacturers_status = ".$status." WHERE manufacturers_id = '" . $id . "'");

        // activate/deactivate relating products
        $db->Execute("UPDATE ".TABLE_PRODUCTS." SET products_status = '".$status."' WHERE manufacturers_id = '" . $id . "'");
        
	}

}

?>
