CREATE TABLE `adodb_logsql` (
  `created` datetime NOT NULL,
  `sql0` varchar(250) NOT NULL,
  `sql1` text NOT NULL,
  `params` text NOT NULL,
  `tracer` text NOT NULL,
  `timer` decimal(16,6) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_acl_area` (
  `area_id` int(11) NOT NULL auto_increment,
  `area_name` varchar(64) NOT NULL,
  `area_description` text,
  `category` varchar(32) default NULL,
  PRIMARY KEY  (`area_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_acl_area_permissions` (
  `perm_id` int(11) NOT NULL auto_increment,
  `group_id` int(11) NOT NULL,
  `area_id` int(11) default NULL,
  `acl_read` int(11) default NULL,
  `acl_edit` int(11) default NULL,
  `acl_new` int(11) default NULL,
  `acl_delete` int(11) default NULL,
  PRIMARY KEY  (`perm_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_acl_groups` (
  `group_id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL,
  `status` int(1) NOT NULL default '1',
  PRIMARY KEY  (`group_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


INSERT INTO `##_acl_groups` VALUES (1, 'Super Admin', 1);

CREATE TABLE `##_acl_nav` (
  `pid` int(11) NOT NULL auto_increment,
  `text` varchar(64) default NULL,
  `icon` varchar(255) default NULL,
  `url_i` varchar(255) default NULL,
  `url_d` varchar(255) default NULL,
  `sortorder` int(10) unsigned default NULL,
  `parent` varchar(32) default NULL,
  `type` varchar(5) default NULL,
  `navtype` varchar(1) default NULL,
  `cls` varchar(15) default NULL,
  `handler` varchar(20) default NULL,
  `iconCls` varchar(25) default NULL,
  PRIMARY KEY  (`pid`),
  UNIQUE KEY `text` (`text`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;


INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('language', 'images/icons/comments.png', '&pg=overview', 'adminHandler.php', 311000, 'localizing', 'I', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('language_content', 'images/icons/comment_edit.png', NULL, 'adminHandler.php', 311000, 'localizing', 'I', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('localizing', 'images/icons/world.png', NULL, NULL, 310000, 'config', 'G', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('plugin', 'images/icons/plugin.png', NULL, NULL, 230000, 'contentroot', 'G', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('email_manager', 'images/icons/email.png', '&pg=overview', 'adminHandler.php', 220000, 'contentroot', 'I', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('content_manager', 'images/icons/page_white_stack.png', NULL, NULL, 210000, 'contentroot', 'G', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('manufacturer', 'images/icons/wrench.png', '&pg=overview', 'adminHandler.php', 3000, 'shop', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('config_store', NULL, NULL, NULL, 400000, '0', 'G', 'W', NULL, NULL, 'settings_store');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('product', 'images/icons/application_side_tree.png', '&pg=overview', 'adminHandler.php', 2000, 'shop', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('category', NULL, NULL, NULL, 1000, 'shop', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('config', NULL, NULL, NULL, 300000, '0', 'G', 'W', NULL, NULL, 'settings');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('contentroot', NULL, NULL, NULL, 200000, '0', 'G', 'W', NULL, NULL, 'management');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('shop', NULL, NULL, NULL, 100000, '0', 'G', 'W', NULL, NULL, 'cart');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('tax', 'images/icons/table_save.png', '&pg=overview', 'adminHandler.php', 2, 'localizing', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('currency', 'images/icons/money_euro.png', '&pg=overview', 'adminHandler.php', 2, 'localizing', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('tax_class', 'images/icons/table_relationship.png', '&pg=overview', 'adminHandler.php', 2, 'localizing', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('payment', 'images/icons/money.png', '&pg=overview', 'adminHandler.php', 2, 'config', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('shipping', 'images/icons/package_green.png', '&pg=overview', 'adminHandler.php', 2, 'config', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('countries', 'images/icons/page_world.png', '&pg=overview', 'adminHandler.php', 2, 'localizing', 'G', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('ordertab', NULL, NULL, NULL, 100000, '0', 'G', 'W', NULL, NULL, 'order');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('order', 'images/icons/basket_edit.png', '&pg=overview', 'adminHandler.php', 2, 'ordertab', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('customer', 'images/icons/group.png', '&pg=overview', 'adminHandler.php', 2, 'ordertab', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('customers_status', 'images/icons/folder_user.png', '&pg=overview', 'adminHandler.php', 2, 'ordertab', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('exp', 'images/icons/transmit_blue.png', NULL, NULL, NULL, 'contentroot', 'G', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('export', 'images/icons/transmit_go.png', NULL, 'adminHandler.php', NULL, 'exp', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('stores', 'images/icons/server.png', NULL, NULL,NULL, 'config_store', 'G', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('system_status', 'images/icons/application_view_tile.png', NULL, NULL, NULL, 'config', 'G', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('content', 'images/icons/layout.png', '&pg=overview', 'adminHandler.php', 210000, 'content_manager', 'I', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('content_blocks', 'images/icons/layout_content.png', '&pg=overview', 'adminHandler.php', 210000, 'content_manager', 'I', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('media_manager', 'images/icons/cd.png', NULL, NULL, 210000, 'contentroot', 'G', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('plugin_installed', 'images/icons/plugin_add.png', '&pg=overview', 'adminHandler.php', 230000, 'plugin', 'I', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('plugin_uninstalled', 'images/icons/plugin_disabled.png', '&pg=overview', 'adminHandler.php', 230000, 'plugin', 'I', 'W', NULL, NULL, '');
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('configuration', 'images/icons/cog.png', NULL, NULL, NULL, 'config', 'G', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('admin_perm', 'images/icons/key.png', NULL, NULL, NULL, 'config', 'G', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('acl_area', 'images/icons/page_key.png', '&pg=overview', 'adminHandler.php', NULL, 'admin_perm', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('acl_groups', 'images/icons/folder_key.png', '&pg=overview', 'adminHandler.php', NULL, 'admin_perm', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('acl_user', 'images/icons/user_red.png', '&pg=overview', 'adminHandler.php', NULL, 'admin_perm', 'I', 'W', NULL, NULL, NULL);

INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('systemroot', NULL, NULL, NULL, 600000, '0', 'G', 'W', NULL, NULL, 'system');
INSERT INTO `##_acl_nav` (`text`, `icon`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('adodbperformance', 'images/icons/database_lightning.png', 2, 'systemroot', 'G', 'W', NULL, NULL, NULL);

INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('adodbquery', 'images/icons/database_lightning.png', 'adodb_performance.php?mode=query', 2, 'adodbperformance', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('adodblive', 'images/icons/database_lightning.png', 'adodb_liveperformance.php', 2, 'adodbperformance', 'I', 'W', NULL, NULL, NULL);

INSERT INTO `##_acl_nav` (`text`, `icon`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('logs', 'images/icons/script_code_red.png', 2, 'systemroot', 'G', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('bruto_force_protection', 'images/icons/script_code.png', '&pg=overview', 'adminHandler.php', NULL, 'logs', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('MediaGallery', '', '', '', NULL, 'media_manager', 'G', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('MediaFileTypes', 'images/icons/connect.png', '&pg=overview', 'adminHandler.php', NULL, 'media_manager', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('ImageTypes', 'images/icons/camera_edit.png', '&pg=overview', 'adminHandler.php', NULL, 'media_manager', 'I', 'W', NULL, NULL, NULL);

INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('callback', 'images/icons/script_code.png', '&pg=overview', 'adminHandler.php', NULL, 'logs', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('LogHandler', 'images/icons/script_code.png', '&pg=overview', 'adminHandler.php', NULL, 'logs', 'I', 'W', NULL, NULL, NULL);

INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES('shipping_zone', 'images/icons/package_link.png', '&pg=overview', 'adminHandler.php', 10, 'localizing', 'I', 'W', NULL, NULL, NULL);
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES('federal_states', 'images/icons/page_world.png', '&pg=overview', 'adminHandler.php', 7000, 'countries', 'I', 'W', NULL, NULL, NULL);

CREATE TABLE `##_acl_task` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `class` varchar(32) NOT NULL,
  `active_id` varchar(32) NULL,
  `action` enum('new','edit','save','view','delete', 'select','unset') NOT NULL,
  `closed` enum('true','false') NOT NULL,
  `task_key` varchar(255) default NULL,
  `date_added` datetime NOT NULL,
  `last_modified` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_acl_user` (
  `user_id` int(11) NOT NULL auto_increment,
  `group_id` int(11) NOT NULL,
  `handle` varchar(64) NOT NULL,
  `user_password` varchar(64) NOT NULL,
  `email` varchar(64) NOT NULL,
  `firstname` varchar(64) NOT NULL,
  `lastname` varchar(64) NOT NULL,
  `status` int(1) NOT NULL default '1',
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;


INSERT INTO `##_acl_user` VALUES (1, 1, 'admin', '21232f297a57a5a743894a0e4a801fc3', 'admin@your_xt_shop.de', 'Admin', 'Admin', 1);

CREATE TABLE `##_callback_log` (
  `id` int(11) NOT NULL auto_increment,
  `module` varchar(64) NOT NULL,
  `orders_id` int(11) NOT NULL,
  `transaction_id` varchar(255) NOT NULL,
  `callback_data` longtext NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `class` varchar(32) NOT NULL,
  `error_msg` varchar(255) NOT NULL,
  `error_data` longtext NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_campaigns` (
  `campaigns_id` int(11) NOT NULL auto_increment,
  `campaigns_name` varchar(32) NOT NULL default '',
  `campaigns_refID` varchar(64) default NULL,
  `campaigns_leads` int(11) default '0',
  `date_added` datetime default NULL,
  `last_modified` datetime default NULL,
  PRIMARY KEY  (`campaigns_id`),
  KEY `IDX_CAMPAIGNS_NAME` (`campaigns_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_categories` (
  `categories_id` int(11) NOT NULL auto_increment,
  `external_id` varchar(255) default NULL,
  `permission_id` int(11) default NULL,
  `categories_owner` int(11) NOT NULL default '1',
  `categories_image` varchar(64) default NULL,
  `parent_id` int(11) default '0',
  `categories_status` tinyint(1) unsigned NOT NULL default '1',
  `categories_template` varchar(64) default NULL,
  `listing_template` varchar(64) default NULL,
  `sort_order` int(3) default '0',
  `products_sorting` varchar(32) default NULL,
  `products_sorting2` varchar(32) default NULL,
  `date_added` datetime default NULL,
  `last_modified` timestamp NULL default NULL on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`categories_id`),
  KEY `idx_categories_parent_id` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_categories_description` (
  `categories_id` int(11) NOT NULL default '0',
  `language_code` char(2) NOT NULL default '1',
  `categories_name` varchar(255) NOT NULL,
  `categories_heading_title` varchar(255) default NULL,
  `categories_description` text,
  PRIMARY KEY  (`categories_id`,`language_code`),
  KEY `idx_categories_name` (`categories_name`),
  FULLTEXT KEY `language_code` (`language_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_categories_permission` (
  `pid` int(11) NOT NULL,
  `permission` tinyint(1) default '0',
  `pgroup` varchar(255) NOT NULL,
  PRIMARY KEY  (`pid`,`pgroup`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_config` (
  `id` int(11) NOT NULL auto_increment,
  `config_key` varchar(64) NOT NULL,
  `config_value` text NOT NULL,
  `group_id` int(11) NOT NULL,
  `sort_order` int(5) default NULL,
  `last_modified` datetime default NULL,
  `date_added` datetime NOT NULL,
  `type` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_configuration_group_id` (`group_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_VERSION', '4.0.15', 0, 2, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SENDMAIL_PATH', '/usr/sbin/sendmail', 19, 2, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_MAIL_TYPE', 'sendmail', 19, 3, NULL, '0000-00-00 00:00:00', 'dropdown', 'mail_types');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_MAIL_DEBUG', 'true', 19, 4, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_GROUP_CHECK', 'true', 17, 9, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_DEBUG', 'false', 18, 9, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_USE_DB_HOOKS', 'true', 20, 9, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_ADMIN_PERMISSIONS', 'blacklist', 17, 9, NULL, '0000-00-00 00:00:00', 'dropdown', 'admin_perm');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_GROUP_PERMISSIONS', 'blacklist', 17, 9, NULL, '0000-00-00 00:00:00', 'dropdown', 'admin_perm');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_ADMIN_RIGHTS', 'db', 20, 9, NULL, '0000-00-00 00:00:00', 'dropdown', 'admin_rights');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_MOD_REWRITE', 'true', 21, 1, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_MOD_REWRITE_404', 'false', 21, 1, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_STOCK_HANDLING', 'false', 22, 10, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SHIPPING_STATUS', 'false', 22, 11, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_STOCK_RULES', 'true', 22, 11, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SIMPLE_GROUP_PERMISSIONS', 'false', 17, 11, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_USE_PRICE', 'true', 23, 12, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_TEMPLATE', 'xt_default', 15, 99, NULL, '0000-00-00 00:00:00', 'dropdown', 'templateSets');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SAVE_IP', 'false', 18, 10, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_PARSE_TIME', 'false', 18, 9, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_HIDE_SUMAURL', 'false', 21, 1, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_METATAGS_WORDLENGTH', '6', 21, 1, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_METATAGS_MAXLENGTH', '800', 21, 1, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_METATAGS_MAXCOUNT', '20', 21, 1, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_METATAGS_AUTOGENERATE', 'true', 21, 1, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');     
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_AUTOLOAD', 'false', 20, 9, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_USE_WYSIWYG', 'SimpleHtmlEditor', 23, 10, NULL, '0000-00-00 00:00:00', 'dropdown', 'wysiwyg');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_IMG_QUALITY', '90', 23, 10, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SEO_FILE_TYPE', '', 21, 24, NULL, '0000-00-00 00:00:00', '', '');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_FILE_COUNT', '100', 24, 25, NULL, '0000-00-00 00:00:00', '', '');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_FILE_SIZE', '100', 24, 26, NULL, '0000-00-00 00:00:00', '', '');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_PRODUCT_COPY_PREFIX', '-Kopie-', 23, 10, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SEO_URL_LANG_BASED', 'true', 21, 20, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SEO_PRODUCTS_CATEGORIES', 'true', 21, 20, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_IMG_SHRINK_ONLY', 'true', 23, 10, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SEARCH_SPLIT', 'false', 20, 9, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_MOD_REWRITE_DEFAULT', 'true', 21, 1, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');



CREATE TABLE `##_config_1` (
  `id` int(11) NOT NULL auto_increment,
  `config_key` varchar(64) NOT NULL,
  `config_value` text NOT NULL,
  `group_id` int(11) NOT NULL,
  `sort_order` int(5) default NULL,
  `last_modified` datetime default NULL,
  `date_added` datetime NOT NULL,
  `type` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_configuration_group_id` (`group_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_NAME', 'xt:Commerce 4.0', 1, 1, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_COUNTRY', 'DE', 1, 6, NULL, '0000-00-00 00:00:00', 'dropdown', 'countries');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_DEFAULT_TEMPLATE', 'xt_default', 18, 26, NULL, '0000-00-00 00:00:00', 'dropdown', 'templateSets');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_CURRENCY', 'EUR', 1, 0, NULL, '0000-00-00 00:00:00', 'dropdown', 'currencies');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_LANGUAGE', 'de', 1, 0, NULL, '0000-00-00 00:00:00', 'dropdown', 'language_codes');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_CUSTOMERS_STATUS_ID_GUEST', '1', 1, 21, NULL, '0000-00-00 00:00:00', 'dropdown', 'customers_status');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_CUSTOMERS_STATUS_ID', '2', 1, 23, NULL, '0000-00-00 00:00:00', 'dropdown', 'customers_status');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ZONE', '31', 1, 6, NULL, '0000-00-00 00:00:00', 'dropdown', 'tax_zones');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_LOGO', 'logo.gif', 1, 8, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_storelogo');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_DEFAULT_ORDER_STATUS', '16', 1, 8, NULL, '0000-00-00 00:00:00', 'dropdown', 'order_status');

INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_TERMSCOND_CHECK', 'false', 1, 9, NULL, '0000-00-00 00:00:00',  'dropdown', 'conf_truefalse');


INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_MAX_CATEGORIES_PER_ROW', '3', 8, NULL, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_TEMPLATE_PRODUCT_LISTING', 'product_listing_v1.html', 8, 120, NULL, '0000-00-00 00:00:00', 'dropdown', 'listing_template');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_TEMPLATE_CATEGORY_LISTING', 'categorie_listing.html', 8, 120, NULL, '0000-00-00 00:00:00', 'dropdown', 'categories_template');

INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_TEMPLATE_PRODUCT_SEARCH_RESULT', 'product_listing_v1.html', 8, 120, NULL, '0000-00-00 00:00:00', 'dropdown', 'listing_template');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_TEMPLATE_PRODUCT_LIST', 'product_list_default.html', 8, 120, NULL, '0000-00-00 00:00:00', 'dropdown', 'product_list_template');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_TEMPLATE_PRODUCT_LISTING_MANUFACTURERS', 'product_listing_v1.html', 8, 120, NULL, '0000-00-00 00:00:00', 'dropdown', 'listing_template');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_PRODUCT_DOWNLOAD_PUBLIC_ALLOWED', 'true', 8, 200, NULL, '0000-00-00 00:00:00',  'dropdown', 'conf_truefalse');


INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_AUTHOR', 'xt:Commerce VEYTON 4.0', 16, 4, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_PUBLISHER','', 16, 5, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_COMPANY','', 16, 6, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_TOPIC', 'shopping', 16, 7, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_REPLY_TO', 'xx@xx.com', 16, 8, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_REVISIT_AFTER', '14', 16, 9, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_ROBOTS', 'index,follow', 16, 10, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_DESCRIPTION','', 16, 11, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_KEYWORDS','', 16, 12, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_FREE_META','', 16, 12, NULL, '0000-00-00 00:00:00', NULL, NULL);


INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_EMAIL_ADDRESS_MIN_LENGTH', '6', 5, 4, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_STREET_ADDRESS_MIN_LENGTH', '5', 5, 5, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_POSTCODE_MIN_LENGTH', '4', 5, 7, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_PASSWORD_MIN_LENGTH', '5', 5, 11, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ADDRESS_BOOK_ENTRIES', '5', 5, 1, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_SEARCH_RESULTS', '20', 8, 2, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_PRODUCT_LIST_RESULTS', '20', 8, 2, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ACCOUNT_GENDER', 'true', 5, 1, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ACCOUNT_DOB', 'true', 5, 2, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ACCOUNT_COMPANY', 'true', 5, 3, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ACCOUNT_SUBURB', 'true', 5, 4, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ACCOUNT_COMPANY_VAT_CHECK', 'true', 5, 3, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_LAST_NAME_MIN_LENGTH', '2', 5, 2, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_FIRST_NAME_MIN_LENGTH', '2', 5, 1, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_CITY_MIN_LENGTH', '3', 5, 8, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ALLOW_GUEST_ORDERS', 'true', 5, 12, NULL, '0000-00-00 00:00:00',  'dropdown', 'conf_truefalse');

INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_SMTP_HOST', 'localhost', 12, 3, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_SMTP_USERNAME', 'Please Enter', 12, 6, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_SMTP_PASSWORD', 'Please Enter', 12, 7, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_CONTACT_EMAIL', '', 12, 8, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_SMTP_AUTH', 'false', 12, 8, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_EMAIL_FOOTER_TXT', 'DemoShop GmbH\nGeschäftsführer: Max Muster und Fritz Beispiel\n\nMax Muster Strasse 21-23\nD-0815 Musterhausen\nE-Mail: max.muster@muster.de\n\nHRB 123456\nAmtsgericht Musterhausen\nUStid-Nr. DE 000 111 222', 12, 8, NULL, '0000-00-00 00:00:00', 'textarea', '');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_EMAIL_FOOTER_HTML', 'DemoShop GmbH<br />\nGeschäftsführer: Max Muster und Fritz Beispiel<br /><br />\n\nMax Muster Strasse 21-23<br />\nD-0815 Musterhausen<br />\nE-Mail: max.muster@muster.de<br /><br />\n\nHRB 123456<br />\nAmtsgericht Musterhausen<br />\nUStid-Nr. DE 000 111 222<br />', 12, 8, NULL, '0000-00-00 00:00:00', 'textarea', '');


INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_VAT_CHECK_TYPE', '', 6, 3, '0000-00-00 00:00:00', '0000-00-00 00:00:00',  'dropdown', 'vat_check')
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_VAT_CHECK_MOVE', 'false', 6, 3, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_VAT_CHECK_STATUS_IN', '3', 6, 3, NULL, '0000-00-00 00:00:00', 'dropdown', 'customers_status');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_VAT_CHECK_STATUS_OUT', '3', 6, 3, NULL, '0000-00-00 00:00:00', 'dropdown', 'customers_status');

INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_STOCK_CHECK_DISPLAY', 'true', 7, 3, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_STOCK_CHECK_BUY', 'false', 7, 3, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ALLOW_DECIMAL_QUANTITIY', 'false', 1, 27, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');

INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_META_DOCTYPE_HTML', 'html', 16, 13, '0000-00-00 00:00:00', '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_CAPTCHA', 'Standard', 1, 7, NULL, '0000-00-00 00:00:00', 'dropdown', 'captcha');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_FAVICON', 'favicon.ico', 1, 8, NULL, '0000-00-00 00:00:00', NULL, NULL);
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ACCOUNT_FEDERAL_STATES', 'true', 5, 9, '0000-00-00 00:00:00', '0000-00-00 00:00:00',  'dropdown', 'conf_truefalse');

INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_ACCOUNT_DOB_FORMAT', 'dd.mm.yyyy', 5, 2, NULL, '0000-00-00 00:00:00', 'dropdown', 'date_format');
INSERT INTO `##_config_1` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_STORE_TELEPHONE_MIN_LENGTH', '0', 5, 6, NULL, '0000-00-00 00:00:00', NULL, NULL);

CREATE TABLE `##_config_group` (
  `group_id` int(11) NOT NULL auto_increment,
  `group_title` varchar(64) NOT NULL,
  `group_icon` varchar(64) default NULL,
  `sort_order` int(5) default NULL,
  `visible` int(1) default '1',
  PRIMARY KEY  (`group_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=27 ;

INSERT INTO `##_config_group` VALUES (1, 'TEXT_MY_STORE', 'wrench_orange.png', 1, 1);
INSERT INTO `##_config_group` VALUES (6, 'TEXT_VAT_ID_OPTIONS', 'tag_green.png', 6, 1);
INSERT INTO `##_config_group` VALUES (7, 'TEXT_STOCK_OPTIONS', 'lorry.png', 7, 1);
INSERT INTO `##_config_group` VALUES (5, 'TEXT_CUSTOMER_DETAILS', 'vcard.png', 5, 1);
INSERT INTO `##_config_group` VALUES (8, 'TEXT_PRODUCT_LISTING', 'table.png', 8, 1);
INSERT INTO `##_config_group` VALUES (12, 'TEXT_EMAIL_OPTIONS', 'email_open.png', 12, 1);
INSERT INTO `##_config_group` VALUES (15, 'TEXT_CONF_TEMPLATES_NAV', 'application_view_gallery.png', 1, 2);
INSERT INTO `##_config_group` VALUES (16, 'TEXT_SEARCH_ENGINES', 'ipod_cast.png', 16, 1);
INSERT INTO `##_config_group` VALUES (17, 'TEXT_CONF_PERMISSIONS', 'shield.png', 17, 2);
INSERT INTO `##_config_group` VALUES (18, 'TEXT_TEMPLATES_NAV', 'application_view_gallery.png', 1, 1);
INSERT INTO `##_config_group` VALUES (19, 'TEXT_CONF_MAIL', 'email_go.png', 19, 2);
INSERT INTO `##_config_group` VALUES (20, 'TEXT_CONF_PERFORMANCE', 'database_lightning.png', 20, 2);
INSERT INTO `##_config_group` VALUES (21, 'TEXT_CONF_SEO', 'page_link.png', 21, 2);
INSERT INTO `##_config_group` VALUES (22, 'TEXT_CONF_STOCK', 'layers.png', 22, 2);
INSERT INTO `##_config_group` VALUES (23, 'TEXT_CONF_OTHER', 'application_osx.png', 23, 2);
INSERT INTO `##_config_group` VALUES (24, 'TEXT_CONF_IMAGES', 'camera.png', 24, 2);

CREATE TABLE `##_config_payment` (
  `id` int(11) NOT NULL auto_increment,
  `config_key` varchar(64) NOT NULL,
  `config_value` text NOT NULL,
  `group_id` int(11) NOT NULL,
  `sort_order` int(5) default NULL,
  `last_modified` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `date_added` datetime default NULL,
  `type` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  `payment_id` int(11) default NULL,
  `shop_id` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `config_key` (`config_key`,`shop_id`),
  KEY `idx_configuration_group_id` (`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `##_config_plugin` (
  `id` int(11) NOT NULL auto_increment,
  `config_key` varchar(255) default NULL,
  `config_value` text,
  `plugin_id` int(11) NOT NULL,
  `type` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  `group_id` int(11) default '0',
  `shop_id` int(11) NOT NULL,
  `last_modified` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `date_added` datetime default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `config_key` (`config_key`,`shop_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_content` (
  `content_id` int(11) NOT NULL auto_increment,
  `content_parent` int(11) NOT NULL default '0',
  `content_status` int(1) NOT NULL default '0',
  `content_hook` int(11) NOT NULL,
  `content_form` varchar(64) default NULL,
  `content_image` varchar(255) default NULL,
  `link_ssl` tinyint(1) default '0',
  `content_sort` int(1) NOT NULL default '0',
  PRIMARY KEY  (`content_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;


INSERT INTO `##_content` VALUES (1, 0, 1, 1, 'shipping.php','',0,0);
INSERT INTO `##_content` VALUES (2, 0, 1, 2, '0','',0,0);
INSERT INTO `##_content` VALUES (3, 0, 1, 3, '0','',0,0);
INSERT INTO `##_content` VALUES (4, 0, 1, 0, '0','',0,0);
INSERT INTO `##_content` VALUES (5, 0, 1, 4, '0','',0,0);
INSERT INTO `##_content` VALUES (6, 0, 1, 5, 'contact.php','',1,0);
INSERT INTO `##_content` VALUES (7, 0, 1, 8, '0','',0,0);

CREATE TABLE `##_content_block` (
  `block_id` int(11) NOT NULL auto_increment,
  `block_tag` varchar(64) NOT NULL,
  `block_status` int(1) default '0',
  `block_protected` int(1) default '0',
  PRIMARY KEY  (`block_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;


INSERT INTO `##_content_block` VALUES (1, 'shipping', 1, 1);
INSERT INTO `##_content_block` VALUES (2, 'privacy', 1, 1);
INSERT INTO `##_content_block` VALUES (3, 'conditions', 1, 1);
INSERT INTO `##_content_block` VALUES (4, 'startpage', 1, 1);
INSERT INTO `##_content_block` VALUES (5, 'contact', 1, 1);
INSERT INTO `##_content_block` VALUES (6, 'footer', 1, 0);
INSERT INTO `##_content_block` VALUES (7, 'information', 1, 0);
INSERT INTO `##_content_block` VALUES (8, 'rescission', 1, 1);


CREATE TABLE `##_content_elements` (
  `content_id` int(11) NOT NULL,
  `language_code` char(2) NOT NULL,
  `content_title` varchar(255) default NULL,
  `content_heading` varchar(255)  default NULL,
  `content_body` text,
  `content_body_short` text,
  `content_file` varchar(255) default NULL,
  PRIMARY KEY  (`content_id`,`language_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_content_permission` (
  `pid` int(11) NOT NULL,
  `permission` tinyint(1) default '0',
  `type` varchar(32) NOT NULL,
  `pgroup` varchar(255) NOT NULL,
  PRIMARY KEY  (`pid`,`type`,`pgroup`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_content_to_block` (
  `id` int(11) NOT NULL auto_increment,
  `block_id` int(11) default NULL,
  `content_id` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;


INSERT INTO `##_content_to_block` VALUES (1, 7, 1);
INSERT INTO `##_content_to_block` VALUES (2, 7, 2);
INSERT INTO `##_content_to_block` VALUES (3, 7, 3);
INSERT INTO `##_content_to_block` VALUES (4, 7, 4);
INSERT INTO `##_content_to_block` VALUES (5, 7, 6);
INSERT INTO `##_content_to_block` VALUES (14, 7, 7);
INSERT INTO `##_content_to_block` VALUES (7, 6, 1);
INSERT INTO `##_content_to_block` VALUES (8, 6, 2);
INSERT INTO `##_content_to_block` VALUES (9, 6, 3);
INSERT INTO `##_content_to_block` VALUES (10, 6, 4);
INSERT INTO `##_content_to_block` VALUES (11, 6, 6);
INSERT INTO `##_content_to_block` VALUES (13, 6, 7);


CREATE TABLE `##_countries` (
  `countries_iso_code_2` char(2) NOT NULL,
  `countries_iso_code_3` char(3) NOT NULL,
  `status` int(1) default '1',
  `zone_id` int(11) default NULL,
  PRIMARY KEY  (`countries_iso_code_2`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AD', 'AND', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AE', 'ARE', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AF', 'AFG', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AG', 'ATG', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AI', 'AIA', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AL', 'ALB', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AM', 'ARM', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AN', 'ANT', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AO', 'AGO', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AQ', 'ATA', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AR', 'ARG', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AS', 'ASM', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AT', 'AUT', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AU', 'AUS', 1, 29);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AW', 'ABW', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('AZ', 'AZE', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BA', 'BIH', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BB', 'BRB', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BD', 'BGD', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BE', 'BEL', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BF', 'BFA', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BG', 'BGR', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BH', 'BHR', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BI', 'BDI', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BJ', 'BEN', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BM', 'BMU', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BN', 'BRN', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BO', 'BOL', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BR', 'BRA', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BS', 'BHS', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BT', 'BTN', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BV', 'BVT', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BW', 'BWA', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BY', 'BLR', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('BZ', 'BLZ', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CA', 'CAN', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CC', 'CCK', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CF', 'CAF', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CG', 'COG', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CH', 'CHE', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CI', 'CIV', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CK', 'COK', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CL', 'CHL', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CM', 'CMR', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CN', 'CHN', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CO', 'COL', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CR', 'CRI', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CU', 'CUB', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CV', 'CPV', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CX', 'CXR', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CY', 'CYP', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('CZ', 'CZE', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('DE', 'DEU', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('DJ', 'DJI', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('DK', 'DNK', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('DM', 'DMA', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('DO', 'DOM', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('DZ', 'DZA', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('EC', 'ECU', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('EE', 'EST', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('EG', 'EGY', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('EH', 'ESH', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('ER', 'ERI', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('ES', 'ESP', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('ET', 'ETH', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('FI', 'FIN', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('FJ', 'FJI', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('FK', 'FLK', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('FM', 'FSM', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('FO', 'FRO', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('FR', 'FRA', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('FX', 'FXX', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GA', 'GAB', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GB', 'GBR', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GD', 'GRD', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GE', 'GEO', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GF', 'GUF', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GH', 'GHA', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GI', 'GIB', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GL', 'GRL', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GM', 'GMB', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GN', 'GIN', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GP', 'GLP', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GQ', 'GNQ', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GR', 'GRC', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GS', 'SGS', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GT', 'GTM', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GU', 'GUM', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GW', 'GNB', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('GY', 'GUY', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('HK', 'HKG', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('HM', 'HMD', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('HN', 'HND', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('HR', 'HRV', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('HT', 'HTI', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('HU', 'HUN', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('ID', 'IDN', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('IE', 'IRL', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('IL', 'ISR', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('IN', 'IND', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('IO', 'IOT', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('IQ', 'IRQ', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('IR', 'IRN', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('IS', 'ISL', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('IT', 'ITA', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('JM', 'JAM', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('JO', 'JOR', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('JP', 'JPN', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KE', 'KEN', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KG', 'KGZ', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KH', 'KHM', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KI', 'KIR', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KM', 'COM', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KN', 'KNA', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KP', 'PRK', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KR', 'KOR', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KW', 'KWT', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KY', 'CYM', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('KZ', 'KAZ', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LA', 'LAO', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LB', 'LBN', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LC', 'LCA', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LI', 'LIE', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LK', 'LKA', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LR', 'LBR', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LS', 'LSO', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LT', 'LTU', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LU', 'LUX', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LV', 'LVA', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('LY', 'LBY', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MA', 'MAR', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MC', 'MCO', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MD', 'MDA', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MG', 'MDG', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MH', 'MHL', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MK', 'MKD', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('ML', 'MLI', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MM', 'MMR', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MN', 'MNG', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MO', 'MAC', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MP', 'MNP', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MQ', 'MTQ', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MR', 'MRT', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MS', 'MSR', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MT', 'MLT', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MU', 'MUS', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MV', 'MDV', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MW', 'MWI', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MX', 'MEX', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MY', 'MYS', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('MZ', 'MOZ', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NA', 'NAM', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NC', 'NCL', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NE', 'NER', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NF', 'NFK', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NG', 'NGA', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NI', 'NIC', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NL', 'NLD', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NO', 'NOR', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NP', 'NPL', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NR', 'NRU', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NU', 'NIU', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('NZ', 'NZL', 1, 29);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('OM', 'OMN', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PA', 'PAN', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PE', 'PER', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PF', 'PYF', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PG', 'PNG', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PH', 'PHL', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PK', 'PAK', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PL', 'POL', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PM', 'SPM', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PN', 'PCN', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PR', 'PRI', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PT', 'PRT', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PW', 'PLW', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('PY', 'PRY', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('QA', 'QAT', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('RE', 'REU', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('RO', 'ROM', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('RU', 'RUS', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('RW', 'RWA', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SA', 'SAU', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SB', 'SLB', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SC', 'SYC', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SD', 'SDN', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SE', 'SWE', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SG', 'SGP', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SH', 'SHN', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SI', 'SVN', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SJ', 'SJM', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SK', 'SVK', 1, 31);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SL', 'SLE', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SM', 'SMR', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SN', 'SEN', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SO', 'SOM', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SR', 'SUR', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('ST', 'STP', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SV', 'SLV', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SY', 'SYR', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('SZ', 'SWZ', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TC', 'TCA', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TD', 'TCD', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TF', 'ATF', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TG', 'TGO', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TH', 'THA', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TJ', 'TJK', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TK', 'TKL', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TM', 'TKM', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TN', 'TUN', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TO', 'TON', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TP', 'TMP', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TR', 'TUR', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TT', 'TTO', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TV', 'TUV', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TW', 'TWN', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('TZ', 'TZA', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('UA', 'UKR', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('UG', 'UGA', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('UM', 'UMI', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('US', 'USA', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('UY', 'URY', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('UZ', 'UZB', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('VA', 'VAT', 1, 30);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('VC', 'VCT', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('VE', 'VEN', 1, 27);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('VG', 'VGB', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('VI', 'VIR', 1, 26);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('VN', 'VNM', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('VU', 'VUT', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('WF', 'WLF', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('WS', 'WSM', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('YE', 'YEM', 1, 24);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('YT', 'MYT', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('ZA', 'ZAF', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('ZM', 'ZMB', 1, 25);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('ZR', 'ZAR', 1, 0);
INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('ZW', 'ZWE', 1, 25);

INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('RS', 'SRB', 1, 30);
/* neue */

INSERT INTO `##_countries` VALUES ('TL', 'TLS', 1, 24);

CREATE TABLE `##_federal_states` (
	`states_id` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
	`states_code` VARCHAR(5) NOT NULL ,
	`country_iso_code_2` VARCHAR(2) NOT NULL ,
	`status` TINYINT(1) NOT NULL			
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
		
CREATE TABLE `##_federal_states_description` (			
	`states_id` INT(11) NOT NULL ,
	`language_code` VARCHAR(2) NOT NULL ,
	`state_name` VARCHAR(64) NOT NULL ,
	PRIMARY KEY ( `states_id`, `language_code` )
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `##_countries_description` (
  `language_code` char(2) NOT NULL,
  `countries_name` varchar(64) default NULL,
  `countries_iso_code_2` char(2) NOT NULL,
  PRIMARY KEY  (`language_code`,`countries_iso_code_2`),
  KEY `IDX_COUNTRIES_NAME` (`countries_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `##_currencies` (
  `currencies_id` int(11) NOT NULL auto_increment,
  `title` varchar(32) NOT NULL,
  `code` char(3) NOT NULL,
  `prefix` varchar(12) default NULL,
  `suffix` varchar(12) default NULL,
  `dec_point` char(1) default NULL,
  `thousands_sep` char(1) default NULL,
  `decimals` char(1) default NULL,
  `value_multiplicator` float(13,8) default NULL,
  `last_updated` datetime default NULL,
  PRIMARY KEY  (`currencies_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;


CREATE TABLE `##_customers` (
  `customers_id` int(11) NOT NULL auto_increment,
  `external_id` varchar(255) default NULL,
  `customers_cid` varchar(32) default NULL,
  `customers_vat_id` varchar(20) default NULL,
  `customers_vat_id_status` int(2) default NULL,
  `customers_status` int(5) NOT NULL default '1',
  `customers_email_address` varchar(96) NOT NULL,
  `customers_password` varchar(40) default NULL,
  `account_type` int(1) default '0',
  `password_request_key` varchar(32) default NULL,
  `payment_unallowed` varchar(255) default NULL,
  `shipping_unallowed` varchar(255) default NULL,
  `date_added` datetime default '0000-00-00 00:00:00',
  `last_modified` timestamp NULL default '0000-00-00 00:00:00' on update CURRENT_TIMESTAMP,
  `shop_id` int(11) NOT NULL default '1',
  `customers_default_currency` char(3) default NULL,
  `customers_default_language` char(2) default NULL,
  `campaign_id` INT( 11 ) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`customers_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_customers_addresses` (
  `address_book_id` int(11) NOT NULL auto_increment,
  `external_id` varchar(255) default NULL,
  `customers_id` int(11) NOT NULL,
  `customers_gender` char(1) default NULL,
  `customers_dob` datetime default '0000-00-00 00:00:00',
  `customers_phone` varchar(32) default NULL,
  `customers_fax` varchar(32) default NULL,
  `customers_company` varchar(64) default NULL,
  `customers_company_2` varchar(64) default NULL,
  `customers_company_3` varchar(64) default NULL,
  `customers_firstname` varchar(32) NOT NULL,
  `customers_lastname` varchar(32) NOT NULL,
  `customers_street_address` varchar(64) NOT NULL,
  `customers_suburb` varchar(32) default NULL,
  `customers_postcode` varchar(10) NOT NULL,
  `customers_city` varchar(32) NOT NULL,
  `customers_country_code` char(2) NOT NULL,
  `customers_federal_state_code` int(11) default NULL,
  `address_class` varchar(32) default NULL,
  `date_added` datetime default '0000-00-00 00:00:00',
  `last_modified` timestamp NULL default '0000-00-00 00:00:00' on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`address_book_id`),
  KEY `idx_address_book_customers_id` (`customers_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_customers_basket` (
  `basket_id` int(11) NOT NULL auto_increment,
  `customers_id` int(11) NOT NULL,
  `products_key` varchar(255) default NULL,
  `products_id` int(11) default NULL,
  `products_quantity` decimal(15,2) default NULL,
  `products_info` longtext,
  `date_added` datetime default NULL,
  `type` varchar(32) default NULL,
  `status` tinyint(1) default '0',
  `sort_order` int(11) default '0',
  PRIMARY KEY  (`basket_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_customers_status` (
  `customers_status_id` int(11) NOT NULL auto_increment,
  `customers_status_min_order` int(7) default NULL,
  `customers_status_max_order` int(7) default NULL,
  `customers_status_show_price` int(1) NOT NULL default '1',
  `customers_status_show_price_tax` int(1) NOT NULL default '1',
  `customers_status_add_tax_ot` int(1) default '0',
  `customers_status_graduated_prices` int(1) NOT NULL default '1',
  `customers_fsk18` int(1) NOT NULL default '1',
  `customers_fsk18_display` int(1) NOT NULL default '1',
  `customers_status_master` int(11) default '0',
  `customers_status_template` varchar(255) default NULL,
  `shop_1` int(11) NOT NULL default '0',
  PRIMARY KEY  (`customers_status_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;


INSERT INTO `##_customers_status` VALUES (1, 0, 0, 1, 1, 0, 1, 1, 1, 0, '', 1);
INSERT INTO `##_customers_status` VALUES (2, 0, 0, 1, 1, 0, 1, 1, 1, 0, '', 1);
INSERT INTO `##_customers_status` VALUES (3, 0, 0, 1, 0, 0, 1, 1, 1, 0, '', 1);


CREATE TABLE `##_customers_status_description` (
  `customers_status_id` int(11) NOT NULL default '0',
  `language_code` char(2) NOT NULL default '1',
  `customers_status_name` varchar(32) default NULL,
  PRIMARY KEY  (`customers_status_id`,`language_code`),
  KEY `idx_orders_status_name` (`customers_status_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_failed_login` (
  `fail_id` int(11) NOT NULL auto_increment,
  `check_type` int(1) NOT NULL,
  `lookup` varchar(64) NOT NULL,
  `last_try` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `fail_count` int(11) NOT NULL default '0',
  `lock_until` timestamp NULL default NULL,
  `fail_type` varchar(32) NOT NULL,
  PRIMARY KEY  (`fail_id`),
  UNIQUE KEY `check` (`lookup`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_feed` (
  `feed_id` int(11) NOT NULL AUTO_INCREMENT,
  `feed_key` varchar(32) NOT NULL, /* add */
  `feed_language_code` char(2) NOT NULL,
  `feed_store_id` int(11) NOT NULL DEFAULT '0',
  `feed_title` varchar(64) NOT NULL,
  `feed_type` int(11) NOT NULL,
  `feed_header` text,
  `feed_body` text,
  `feed_footer` text,
  `feed_mail` varchar(255) DEFAULT NULL,
  `feed_mail_flag` int(1) NOT NULL DEFAULT '0',
  `feed_mail_header` varchar(255) DEFAULT NULL,
  `feed_mail_body` text,
  `feed_ftp_flag` int(1) NOT NULL DEFAULT '0',
  `feed_ftp_server` varchar(255) DEFAULT NULL,
  `feed_ftp_user` varchar(64) DEFAULT NULL,
  `feed_ftp_password` varchar(64) DEFAULT NULL,
  `feed_ftp_dir` varchar(255) DEFAULT NULL,
  `feed_ftp_passiv` int(1) NOT NULL DEFAULT '1',
  `feed_filename` varchar(64) DEFAULT NULL,
  `feed_filetype` varchar(64) DEFAULT NULL,
  `feed_encoding` varchar(32) NOT NULL DEFAULT 'UTF-8', /* add */
  `feed_save` int(1) NOT NULL DEFAULT '0',
  `feed_export_limit` int(11) NOT NULL DEFAULT '100', /* add */
  `feed_linereturn_deactivated` tinyint(4) NOT NULL DEFAULT '0', /* add */
  `feed_p_currency_code` char(32) NOT NULL DEFAULT '0', 
  `feed_p_customers_status` int(11) NOT NULL DEFAULT '0', 
  `feed_p_campaign` varchar(64) DEFAULT NULL,
  `feed_p_price_min` text, /* add */
  `feed_p_price_max` text, /* add */
  `feed_p_quantity_min` text, /* add */
  `feed_p_quantity_max` text, /* add */
  `feed_p_model_min` varchar(255) DEFAULT NULL, /* add */
  `feed_p_model_max` varchar(255) DEFAULT NULL, /* add */
  `feed_p_deactivated_status` tinyint(4) NOT NULL DEFAULT '0', /* add */
  `feed_categories` text NOT NULL, /* add */
  `feed_manufacturers` text NOT NULL, /* add */
  `feed_o_customers_status` int(11) NOT NULL DEFAULT '0',
  `feed_o_orders_status` int(11) NOT NULL DEFAULT '0',
  `feed_date_range_orders` int(11) NOT NULL DEFAULT '0',
  `feed_date_from_orders` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `feed_date_to_orders` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `feed_post_flag` int(11) NOT NULL DEFAULT '0',
  `feed_post_server` varchar(255) DEFAULT NULL,
  `feed_post_field` varchar(255) DEFAULT NULL,
  `feed_pw_flag` int(1) NOT NULL DEFAULT '0',
  `feed_pw_user` varchar(32) DEFAULT NULL,
  `feed_pw_pass` varchar(32) DEFAULT NULL,
  `feed_p_slave` int(1) NOT NULL DEFAULT '1',
  PRIMARY KEY  (`feed_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

CREATE TABLE `##_image_type` (
  `id` int(11) NOT NULL auto_increment,
  `folder` varchar(32) NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `watermark` enum('true','false') NOT NULL default 'true',
  `process` enum('true','false') NOT NULL default 'true',
  `class` varchar(32) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('thumb', 120, 80, 'false', 'true', 'default');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('info', 200, 180, 'true', 'true', 'default');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('popup', 450, 500, 'true', 'true', 'default');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('icon', 20, 20, 'false', 'true', 'default');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('manufacturer/thumb', 120, 80, 'false', 'true', 'manufacturer');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('manufacturer/info', 200, 180, 'true', 'true', 'manufacturer');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('manufacturer/popup', 450, 500, 'true', 'true', 'manufacturer');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('manufacturer/icon', 20, 20, 'false', 'true', 'manufacturer');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('category/thumb', 120, 80, 'false', 'true', 'category');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('category/info', 200, 180, 'true', 'true', 'category');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('category/popup', 450, 500, 'true', 'true', 'category');
INSERT INTO `##_image_type` (`folder`, `width`, `height`, `watermark`, `process`, `class`) VALUES('category/icon', 20, 20, 'false', 'true', 'category');

CREATE TABLE `##_languages` (
  `languages_id` int(11) NOT NULL auto_increment,
  `language_status` int(1) NOT NULL default '0',
  `name` varchar(32) NOT NULL,
  `content_language` char(2) NOT NULL,
  `code` char(2) NOT NULL,
  `allow_edit` int(1) NOT NULL default '1',
  `image` varchar(64) default NULL,
  `sort_order` int(3) default NULL,
  `language_charset` text NOT NULL,
  `default_currency` varchar(64) NOT NULL,
  `font` varchar(255) NOT NULL,
  `font_size` int(2) NOT NULL,
  `font_position` int(2) NOT NULL,
  `setlocale` varchar(255) NOT NULL,
  PRIMARY KEY  (`languages_id`),
  UNIQUE KEY `code_2` (`code`),
  KEY `IDX_LANGUAGES_NAME` (`name`),
  KEY `code` (`code`),
  KEY `sort_order` (`sort_order`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

CREATE TABLE `##_language_content` (
  `language_content_id` int(11) NOT NULL auto_increment,
  `translated` int(1) NOT NULL default '1',
  `language_code` char(2) default NULL,
  `language_key` varchar(255) default NULL,
  `language_value` text,
  `class` varchar(32) NOT NULL default 'store',
  `plugin_key` varchar(32) default NULL,
  PRIMARY KEY  (`language_content_id`),
  UNIQUE KEY `language_code` (`language_code`,`language_key`,`class`),
  KEY `language_code_2` (`language_code`,`class`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_mail_templates` (
  `tpl_id` int(11) NOT NULL auto_increment,
  `tpl_type` varchar(255) NOT NULL,
  `tpl_special` varchar(64) default '0',
  `email_from` varchar(255) default NULL,
  `email_from_name` varchar(255) default NULL,
  `email_reply` varchar(255) default NULL,
  `email_reply_name` varchar(255) default NULL,
  `email_forward` varchar(255) default NULL,
  PRIMARY KEY  (`tpl_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;

INSERT INTO `##_mail_templates` VALUES (1, 'new_password', '0', '', '', '', '', '');
INSERT INTO `##_mail_templates` VALUES (2, 'create_account', '0', '', '', '', '', '');
INSERT INTO `##_mail_templates` VALUES (5, 'password_optin', '0', '', '', '', '', '');
INSERT INTO `##_mail_templates` VALUES (6, 'send_order', '0', '', '', '', '', '');
INSERT INTO `##_mail_templates` VALUES (8, 'update_order-admin', 'ALL', '', '', '', '', '');


CREATE TABLE `##_mail_templates_attachment` (
  `attachment_id` int(11) NOT NULL auto_increment,
  `tpl_id` int(11) NOT NULL,
  `attachment_status` int(1) NOT NULL default '1',
  `attachment_file` varchar(255) NOT NULL,
  PRIMARY KEY  (`attachment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_mail_templates_content` (
  `tpl_id` int(11) NOT NULL default '0',
  `language_code` char(2) NOT NULL default '0',
  `mail_body_html` text,
  `mail_body_txt` text,
  `mail_subject` varchar(255) default NULL,
  PRIMARY KEY  (`tpl_id`,`language_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_manufacturers` (
  `manufacturers_id` int(11) NOT NULL auto_increment,
  `external_id` varchar(255) default NULL,
  `manufacturers_name` varchar(32) default NULL,
  `manufacturers_image` varchar(64) default NULL,
  `manufacturers_status` int(1) NOT NULL default '1',
  `manufacturers_sort` int(4) NOT NULL default '0',
  `date_added` datetime default NULL,
  `last_modified` timestamp NOT NULL default '0000-00-00 00:00:00' on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`manufacturers_id`),
  KEY `IDX_MANUFACTURERS_NAME` (`manufacturers_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_manufacturers_info` (
  `manufacturers_id` int(11) NOT NULL,
  `language_code` char(2) NOT NULL,
  `manufacturers_description` text,
  `manufacturers_url` varchar(255) default NULL,
  PRIMARY KEY  (`manufacturers_id`,`language_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `##_manufacturers_permission` (
  `pid` int(11) NOT NULL,
  `permission` tinyint(1) default '0',
  `pgroup` varchar(255) NOT NULL,
  PRIMARY KEY  (`pid`,`pgroup`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `##_media` (
  `id` int(11) NOT NULL auto_increment,
  `file` varchar(255) NOT NULL,
  `type` varchar(6) default NULL,
  `class` varchar(64) default NULL,
  `download_status` enum('free','order') NOT NULL default 'free',
  `status` enum('true','false') NOT NULL default 'true',
  `owner` int(11) NOT NULL default '1',
  `date_added` datetime default NULL,
  `last_modified` timestamp NOT NULL default '0000-00-00 00:00:00' on update CURRENT_TIMESTAMP,
  `max_dl_count` int(11) NOT NULL default '0',
  `max_dl_days` int(11) NOT NULL default '0',
  `total_downloads` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_media_description` (
  `id` int(11) NOT NULL,
  `language_code` char(2) NOT NULL,
  `media_name` varchar(64) default NULL,
  `media_description` text,
  UNIQUE KEY `id` (`id`,`language_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_media_file_types` (
  `mft_id` int(11) NOT NULL auto_increment,
  `file_ext` varchar(6) default NULL,
  `file_type` varchar(32) default NULL,
  PRIMARY KEY  (`mft_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `##_media_file_types` VALUES (1, 'pdf', 'files');
INSERT INTO `##_media_file_types` VALUES (2, 'zip', 'files');
INSERT INTO `##_media_file_types` VALUES (3, 'gif', 'images');
INSERT INTO `##_media_file_types` VALUES (4, 'png', 'images');
INSERT INTO `##_media_file_types` VALUES (5, 'jpg', 'images');
INSERT INTO `##_media_file_types` VALUES (6, 'doc', 'files');
INSERT INTO `##_media_file_types` VALUES (7, 'jpeg', 'files');
INSERT INTO `##_media_file_types` VALUES (8, 'exe', 'files');
INSERT INTO `##_media_file_types` VALUES (9, 'gz', 'files');
INSERT INTO `##_media_file_types` VALUES (10, 'xls', 'files');
INSERT INTO `##_media_file_types` VALUES (11, 'rar', 'files');
INSERT INTO `##_media_file_types` VALUES (12, 'mp3', 'files');
INSERT INTO `##_media_file_types` VALUES (13, 'dmg', 'files');
INSERT INTO `##_media_file_types` VALUES (14, 'mp4', 'files');
INSERT INTO `##_media_file_types` VALUES (15, 'ogg', 'files');
INSERT INTO `##_media_file_types` VALUES (16, '3gp', 'files');
INSERT INTO `##_media_file_types` VALUES (17, 'aac', 'files');

CREATE TABLE `##_media_gallery` (
  `mg_id` int(11) NOT NULL auto_increment,
  `parent_id` int(32) default '0',
  `sort_order` int(11) default '0',
  `class` varchar(32) default NULL,
  `status` int(1) NOT NULL default '1',
  `u_id` int(11) NOT NULL default '1',
  PRIMARY KEY  (`mg_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `##_media_gallery` (`mg_id`, `parent_id`, `sort_order`, `class`, `status`, `u_id`) VALUES(1, 0, 1, 'default', 1, 1);
INSERT INTO `##_media_gallery` (`mg_id`, `parent_id`, `sort_order`, `class`, `status`, `u_id`) VALUES(2, 0, 2, 'product', 1, 1);
INSERT INTO `##_media_gallery` (`mg_id`, `parent_id`, `sort_order`, `class`, `status`, `u_id`) VALUES(3, 0, 3, 'category', 1, 1);
INSERT INTO `##_media_gallery` (`mg_id`, `parent_id`, `sort_order`, `class`, `status`, `u_id`) VALUES(4, 0, 4, 'manufacturer', 1, 1);
INSERT INTO `##_media_gallery` (`mg_id`, `parent_id`, `sort_order`, `class`, `status`, `u_id`) VALUES(5, 0, 5, 'content', 1, 1);
INSERT INTO `##_media_gallery` (`mg_id`, `parent_id`, `sort_order`, `class`, `status`, `u_id`) VALUES(6, 0, 99998, 'files_free', 1, 1);
INSERT INTO `##_media_gallery` (`mg_id`, `parent_id`, `sort_order`, `class`, `status`, `u_id`) VALUES(7, 0, 99999, 'files_order', 1, 1);

CREATE TABLE `##_media_gallery_description` (
  `mg_id` int(11) NOT NULL,
  `language_code` char(2) NOT NULL,
  `name` varchar(64) default NULL,
  PRIMARY KEY  (`mg_id`,`language_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_media_link` (
  `ml_id` int(11) NOT NULL auto_increment,
  `m_id` int(11) NOT NULL,
  `link_id` int(11) NOT NULL,
  `class` varchar(32) default NULL,
  `type` enum('gallery','media', 'images') NOT NULL default 'images',
  `sort_order` int(11) NULL,
  PRIMARY KEY  (`ml_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_media_symlink` (
  `symlink_id` int(11) NOT NULL auto_increment,
  `symlink_dir` varchar(64) NOT NULL,
  `symlink_valid` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`symlink_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;


CREATE TABLE `##_media_to_media_gallery` (
  `ml_id` int(11) NOT NULL auto_increment,
  `m_id` int(11) NOT NULL,
  `mg_id` int(11) NOT NULL,
  PRIMARY KEY  (`ml_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_orders` (
  `orders_id` int(11) NOT NULL auto_increment,
  `customers_id` int(11) NOT NULL,
  `customers_cid` varchar(32) default NULL,
  `customers_vat_id` varchar(20) default NULL,
  `customers_status` int(11) default NULL,
  `customers_email_address` varchar(96) default NULL,
  `delivery_gender` varchar(32) default NULL,
  `delivery_phone` varchar(32) default NULL,
  `delivery_fax` varchar(23) default NULL,
  `delivery_firstname` varchar(64) NOT NULL,
  `delivery_lastname` varchar(64) NOT NULL,
  `delivery_company` varchar(64) default NULL,
  `delivery_company_2` varchar(64) default NULL,
  `delivery_company_3` varchar(64) default NULL,
  `delivery_street_address` varchar(64) NOT NULL,
  `delivery_suburb` varchar(32) default NULL,
  `delivery_city` varchar(32) NOT NULL,
  `delivery_postcode` varchar(10) NOT NULL,
  `delivery_zone` varchar(32) default NULL,
  `delivery_zone_code` int(11) default NULL,
  `delivery_country` varchar(32) NOT NULL,
  `delivery_country_code` char(2) NOT NULL,
  `delivery_federal_state_code` int(11) default NULL,
  `delivery_federal_state_code_iso` varchar(5) default NULL,
  `delivery_address_book_id` int(11) default NULL,
  `billing_gender` varchar(32) default NULL,
  `billing_phone` varchar(32) default NULL,
  `billing_fax` varchar(23) default NULL,
  `billing_firstname` varchar(64) NOT NULL,
  `billing_lastname` varchar(64) NOT NULL,
  `billing_company` varchar(64) default NULL,
  `billing_company_2` varchar(64) default NULL,
  `billing_company_3` varchar(64) default NULL,
  `billing_street_address` varchar(64) NOT NULL,
  `billing_suburb` varchar(32) default NULL,
  `billing_city` varchar(32) NOT NULL,
  `billing_postcode` varchar(10) NOT NULL,
  `billing_zone` varchar(32) default NULL,
  `billing_zone_code` int(11) default NULL,
  `billing_country` varchar(32) NOT NULL,
  `billing_country_code` char(2) NOT NULL,
  `billing_federal_state_code` int(11) default NULL,
  `billing_federal_state_code_iso` varchar(5) default NULL,
  `billing_address_book_id` int(11) default NULL,
  `payment_code` varchar(64) default NULL,
  `subpayment_code` varchar(32) default NULL,
  `shipping_code` varchar(64) default NULL,
  `currency_code` char(3) default NULL,
  `currency_value` decimal(15,4) default NULL,
  `language_code` char(2) default NULL,
  `comments` varchar(255) default NULL,
  `last_modified` timestamp NULL default NULL on update CURRENT_TIMESTAMP,
  `date_purchased` datetime default NULL,
  `orders_status` int(5) default NULL,
  `orders_date_finished` datetime default NULL,
  `account_type` int(1) default '0',
  `allow_tax` tinyint(1) default NULL,
  `customers_ip` varchar(32) default NULL,
  `shop_id` int(11) NOT NULL default '1',
  `orders_data` longtext,
  `campaign_id` INT( 11 ) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`orders_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_orders_products` (
  `orders_products_id` int(11) NOT NULL auto_increment,
  `orders_id` int(11) NOT NULL,
  `products_id` int(11) NOT NULL,
  `products_model` varchar(64) default NULL,
  `products_name` varchar(255) NOT NULL,
  `products_price` decimal(15,4) NOT NULL,
  `products_discount` decimal(4,2) default NULL,
  `products_tax` decimal(7,4) default NULL,
  `products_tax_class` int(11) NOT NULL,
  `products_quantity` decimal(15,2) default NULL,
  `products_data` longtext,
  `allow_tax` tinyint(1) default '0',
  `products_shipping_time` varchar(255) default NULL,
  PRIMARY KEY  (`orders_products_id`),
  KEY `idx_products_id` (`orders_id`,`products_id`),
  KEY `orders_id` (`orders_id`),
  KEY `products_quantity` (`products_quantity`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_orders_products_media` (
  `orders_id` int(11) NOT NULL,
  `media_id` int(11) NOT NULL,
  `orders_products_id` int(11) NOT NULL,
  `download_count` int(11) NOT NULL default '0',
  UNIQUE KEY `orders_id` (`orders_id`,`media_id`,`orders_products_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `##_orders_status_history` (
  `orders_status_history_id` int(11) NOT NULL auto_increment,
  `orders_id` int(11) default NULL,
  `orders_status_id` int(5) default NULL,
  `date_added` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `customer_notified` int(1) default '0',
  `comments` text,
  `change_trigger` varchar(32) default 'user',
  `callback_id` varchar(64) default '',
  `customer_show_comment` int(1) default '0',
  PRIMARY KEY  (`orders_status_history_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_orders_total` (
  `orders_total_id` int(11) NOT NULL auto_increment,
  `orders_id` int(11) NOT NULL,
  `orders_total_key` varchar(32) default NULL,
  `orders_total_key_id` int(11) NULL,
  `orders_total_model` varchar(64) default NULL,
  `orders_total_name` varchar(64) default NULL,
  `orders_total_price` decimal(15,4) default NULL,
  `orders_total_tax` decimal(7,4) default NULL,
  `orders_total_tax_class` int(11) default NULL,
  `orders_total_quantity` decimal(15,2) NOT NULL default '1',
  `allow_tax` tinyint(1) default NULL,
  PRIMARY KEY  (`orders_total_id`),
  KEY `idx_key_id` (`orders_id`,`orders_total_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_orders_stats` (
  `orders_id` int(11) NOT NULL,
  `orders_stats_price` decimal(15,4) default NULL,
  `products_count` int(11) default NULL,
  PRIMARY KEY  (`orders_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `##_payment` (
  `payment_id` int(11) NOT NULL auto_increment,
  `payment_code` varchar(32) NOT NULL,
  `payment_dir` varchar(255) NOT NULL,
  `payment_icon` varchar(255) default NULL,
  `payment_tax_class` int(11) default NULL,
  `payment_tpl` varchar(64) default NULL,
  `payment_cost_info` INT(1) default '0',
  `status` tinyint(1) default '0',
  `sort_order` int(11) default NULL,
  `plugin_required` tinyint(1) default '0',
  `plugin_installed` int(11) default '0',
  PRIMARY KEY  (`payment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_payment_cost` (
  `payment_cost_id` int(11) NOT NULL auto_increment,
  `payment_id` int(11) NOT NULL,
  `payment_geo_zone` int(11) NOT NULL default '0',
  `payment_country_code` char(2) NOT NULL default '0',
  `payment_type_value_from` decimal(15,2) NOT NULL default '0.00',
  `payment_type_value_to` decimal(15,2) NOT NULL default '0.00',
  `payment_price` decimal(15,4) NOT NULL default '0.0000',
  `payment_cost_discount` int(1) NOT NULL default '0',
  `payment_cost_percent` int(1) NOT NULL default '0', 
  `payment_allowed` tinyint(1) default '0',
/*  `payment_price_type` tinyint(1) default '0',  Feature will be added*/
/*  `payment_min_orders` int(11) NOT NULL default '0', Feature will be added*/ 
  PRIMARY KEY  (`payment_cost_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_payment_description` (
  `payment_id` int(11) NOT NULL,
  `language_code` char(2) NOT NULL,
  `payment_name` varchar(255) default NULL,
  `payment_desc` text,
/*  `payment_email_desc` text,   */
  `payment_email_desc_txt` text,
  `payment_email_desc_html` text,
  PRIMARY KEY  (`language_code`,`payment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `##_plugin_code` (
  `id` int(11) NOT NULL auto_increment,
  `plugin_id` int(11) NOT NULL,
  `hook` varchar(255) default NULL,
  `code` text,
  `code_status` int(1) default NULL,
  `plugin_code` varchar(255) default NULL,
  `sortorder` int(11) default NULL,
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `code` (`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_plugin_products` (
  `plugin_id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `version` varchar(255) default NULL,
  `description` text,
  `url` varchar(255) default NULL,
  `plugin_status` int(1) default NULL,
  `code` varchar(255) default NULL,
  `type` varchar(64) default NULL,
  PRIMARY KEY  (`plugin_id`),
  KEY `plugin_status` (`plugin_status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_plugin_sql` (
  `plg_sql_id` int(11) NOT NULL auto_increment,
  `plugin_id` int(11) NOT NULL,
  `version` varchar(32) default NULL,
  `install` text,
  `uninstall` text,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`plg_sql_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_products` (
  `products_id` int(11) NOT NULL auto_increment,
  `external_id` varchar(255) default NULL,
  `permission_id` int(11) default NULL,
  `products_owner` int(11) NOT NULL default '1',
  `products_ean` varchar(128) default NULL,
  `products_quantity` decimal(15,2) default NULL,
  `products_average_quantity` int(11) default '0',
  `products_shippingtime` int(4) default NULL,
  `products_model` varchar(255) default NULL,
  `price_flag_graduated_all` int(1) default '0',
  `price_flag_graduated_1` int(1) default '0',
  `price_flag_graduated_2` int(1) default '0',
  `price_flag_graduated_3` int(1) default '0',
  `products_sort` int(4) default '0',
  `products_image` varchar(64) default NULL,
  `products_price` decimal(15,4) default NULL,
  `date_added` datetime default NULL,
  `last_modified` timestamp NULL default NULL on update CURRENT_TIMESTAMP,
  `date_available` datetime default NULL,
  `products_weight` decimal(15,4) default NULL,
  `products_status` tinyint(1) default NULL,
  `products_tax_class_id` int(11) default NULL,
  `product_template` varchar(64) default NULL,
  `product_list_template` varchar(64) default NULL,
  `manufacturers_id` int(11) default NULL,
  `products_ordered` int(11) default '0',
  `products_transactions` int(11) default '0',
  `products_fsk18` int(1) default '0',
  `products_vpe` int(11) default NULL,
  `products_vpe_status` int(1) default '0',
  `products_vpe_value` decimal(15,4) default '0.0000',
  `products_startpage` int(1) default '0',
  `products_startpage_sort` int(4) default '0',
  `products_average_rating` decimal(14,4) default '0.0000',
  `products_rating_count` int(11) default '0',
  `products_digital` int(1) default '0',
  `flag_has_specials` int(1) NOT NULL default '0',
  `products_serials` int(1) default '0',
  `total_downloads` int(11) default '0',
  PRIMARY KEY  (`products_id`),
  KEY `idx_products_date_added` (`date_added`),
  KEY `products_status` (`products_status`,`products_startpage`),
  KEY `products_ordered` (`products_ordered`),
  KEY `manufacturers_id` (`manufacturers_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_products_cross_sell` (
  `products_id` int(11) NOT NULL,
  `products_id_cross_sell` int(11) NOT NULL,
  UNIQUE KEY `products_id` (`products_id`,`products_id_cross_sell`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_products_serials` (
  `serial_id` int(11) NOT NULL auto_increment,
  `serial_number` varchar(64) NOT NULL,
  `status` tinyint(1) NOT NULL,
  `products_id` int(11) NOT NULL,
  `orders_id` int(11) NOT NULL default '0',
  `orders_products_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`serial_id`),
  FULLTEXT KEY `serial_number` (`serial_number`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_products_description` (
  `products_id` int(11) NOT NULL,
  `language_code` char(2) NOT NULL default '1',
  `products_name` varchar(255) default NULL,
  `products_description` text,
  `products_short_description` text,
  `products_keywords` varchar(255) default NULL,
  `products_url` varchar(255) default NULL,
  PRIMARY KEY  (`products_id`,`language_code`),
  INDEX `language_code` (`language_code`),
  FULLTEXT KEY `products_name` (`products_name`),
  FULLTEXT KEY `products_description` (`products_description`),
  FULLTEXT KEY `products_short_description` (`products_short_description`),
  FULLTEXT KEY `products_keywords` (`products_keywords`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_products_permission` (
  `pid` int(11) NOT NULL,
  `permission` tinyint(1) default '0',
  `pgroup` varchar(255) NOT NULL,
  PRIMARY KEY  (`pid`,`pgroup`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_products_price_group_1` (
  `id` int(11) NOT NULL auto_increment,
  `products_id` int(11) NOT NULL,
  `discount_quantity` int(11) default NULL,
  `price` decimal(15,4) default NULL,
  PRIMARY KEY  (`id`),
  KEY `products_id` (`products_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_products_price_group_2` (
  `id` int(11) NOT NULL auto_increment,
  `products_id` int(11) NOT NULL,
  `discount_quantity` int(11) default NULL,
  `price` decimal(15,4) default NULL,
  PRIMARY KEY  (`id`),
  KEY `products_id` (`products_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_products_price_group_3` (
  `id` int(11) NOT NULL auto_increment,
  `products_id` int(11) NOT NULL,
  `discount_quantity` int(11) default NULL,
  `price` decimal(15,4) default NULL,
  PRIMARY KEY  (`id`),
  KEY `products_id` (`products_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_products_price_group_all` (
  `id` int(11) NOT NULL auto_increment,
  `products_id` int(11) NOT NULL,
  `discount_quantity` int(11) default NULL,
  `price` decimal(15,4) default NULL,
  PRIMARY KEY  (`id`),
  KEY `products_id` (`products_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_products_price_special` (
  `id` int(11) NOT NULL auto_increment,
  `products_id` int(11) NOT NULL,
  `specials_price` decimal(15,4) NOT NULL,
  `date_available` datetime default NULL,
  `date_expired` datetime default NULL,
  `status` int(1) NOT NULL default '1',
  `group_permission_all` int(1) default NULL,
  `group_permission_1` int(1) default '0',
  `group_permission_2` int(1) default '0',
  `group_permission_3` int(1) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_products_reviews` (
  `review_id` int(11) NOT NULL auto_increment,
  `products_id` int(11) NOT NULL,
  `customers_id` int(11) NOT NULL,
  `review_rating` int(1) NOT NULL,
  `review_date` datetime NOT NULL,
  `review_status` int(1) NOT NULL default '0',
  `language_code` char(2) NOT NULL,
  `review_text` text,
  `review_title` text,
  PRIMARY KEY  (`review_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_products_to_categories` (
  `products_id` int(11) NOT NULL,
  `categories_id` int(11) NOT NULL,
  `master_link` tinyint(1) default NULL,
  PRIMARY KEY  (`products_id`,`categories_id`),
  KEY `categories_id` (`categories_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `##_seo_url` (
  `url_md5` varchar(32) NOT NULL,
  `url_text` varchar(255) NOT NULL,
  `language_code` char(2) NOT NULL default '0',
  `link_type` int(11) NOT NULL,
  `link_id` int(11) NOT NULL,
  `meta_title` varchar(255) default NULL,
  `meta_description` text,
  `meta_keywords` text,
  PRIMARY KEY  (`url_md5`),
  KEY `link_id` (`link_id`),
  FULLTEXT KEY `url_text` (`url_text`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `##_sessions2` (
  `sesskey` varchar(64) NOT NULL default '',
  `expiry` datetime NOT NULL,
  `expireref` varchar(250) default '',
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `sessdata` longtext,
  PRIMARY KEY  (`sesskey`),
  KEY `sess2_expiry` (`expiry`),
  KEY `sess2_expireref` (`expireref`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE `##_shipping` (
  `shipping_id` int(11) NOT NULL auto_increment,
  `shipping_code` varchar(32) NOT NULL,
  `shipping_dir` varchar(255) default NULL,
  `shipping_icon` varchar(255) default NULL,
  `shipping_tax_class` int(11) default NULL,
  `status` tinyint(1) default NULL,
  `sort_order` int(11) default NULL,
  `shipping_type` varchar(32) default NULL,
  `shipping_tpl` varchar(64) default NULL,
  `use_shipping_zone` tinyint(1) default NULL,
  PRIMARY KEY  (`shipping_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_shipping_cost` (
  `shipping_cost_id` int(11) NOT NULL auto_increment,
  `shipping_id` int(11) NOT NULL,
  `shipping_geo_zone` int(11) default '0',
  `shipping_country_code` char(2) default NULL,
  `shipping_type_value_from` decimal(15,2) default '0',
  `shipping_type_value_to` decimal(15,2) default '0',
  `shipping_price` decimal(15,4) default '0',
  `shipping_allowed` tinyint(1) default '0',
  PRIMARY KEY  (`shipping_cost_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_shipping_description` (
  `shipping_id` int(11) NOT NULL,
  `language_code` char(2) NOT NULL,
  `shipping_name` varchar(255) default NULL,
  `shipping_desc` text,
  PRIMARY KEY  (`language_code`,`shipping_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `##_stores` (
  `shop_id` int(11) NOT NULL auto_increment,
  `shop_title` varchar(64) NOT NULL,
  `shop_domain` varchar(255) NOT NULL,
  `shop_ssl_domain` varchar(255) default NULL,
  `shop_http` varchar(255) NOT NULL,
  `shop_https` varchar(255) NOT NULL,
  `shop_ssl` int(1) NOT NULL default '0',
  `shop_status` int(1) NOT NULL default '0',
  PRIMARY KEY  (`shop_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


INSERT INTO `##_stores` VALUES (1, 'Main Store', 'localhost','localhost', 'http://localhost', 'http://localhost', 0, 1);

CREATE TABLE `##_system_log` (
  `log_id` int(11) NOT NULL auto_increment,
  `class` varchar(32) NOT NULL,
  `module` varchar(64) NOT NULL,
  `identification` int(11) NOT NULL,
  `data` longtext NOT NULL,
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`log_id`),
  FULLTEXT KEY `class` (`class`,`module`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_shipping_zones` (
  `zone_id` int(11) NOT NULL auto_increment,
  `zone_name` varchar(32) default NULL,
  `zone_countries` text,
  PRIMARY KEY  (`zone_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_system_status` (
  `status_id` int(11) NOT NULL auto_increment,
  `status_class` varchar(32) default NULL,
  `status_values` text,
  PRIMARY KEY  (`status_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE `##_media_download_ip` (
 `user_ip` VARCHAR( 15 ) NOT NULL ,
 `download_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
 `media_id` int( 11 ) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


INSERT INTO `##_system_status` VALUES (1, 'stock_rule', 'a:2:{s:4:"data";a:1:{s:10:"percentage";s:3:"100";}s:7:"sorting";s:10:"percentage";}');
INSERT INTO `##_system_status` VALUES (2, 'stock_rule', 'a:2:{s:4:"data";a:1:{s:10:"percentage";s:2:"80";}s:7:"sorting";s:10:"percentage";}');
INSERT INTO `##_system_status` VALUES (3, 'stock_rule', 'a:2:{s:4:"data";a:1:{s:10:"percentage";s:2:"50";}s:7:"sorting";s:10:"percentage";}');
INSERT INTO `##_system_status` VALUES (4, 'stock_rule', 'a:2:{s:4:"data";a:1:{s:10:"percentage";s:1:"0";}s:7:"sorting";s:10:"percentage";}');
INSERT INTO `##_system_status` VALUES (5, 'stock_rule', 'a:2:{s:4:"data";a:1:{s:10:"percentage";s:2:"20";}s:7:"sorting";s:10:"percentage";}');
INSERT INTO `##_system_status` VALUES (6, 'shipping_status', NULL);
INSERT INTO `##_system_status` VALUES (7, 'shipping_status', NULL);
INSERT INTO `##_system_status` VALUES (8, 'shipping_status', NULL);
INSERT INTO `##_system_status` VALUES (9, 'base_price', NULL);
INSERT INTO `##_system_status` VALUES (10, 'base_price', NULL);
INSERT INTO `##_system_status` VALUES (11, 'base_price', NULL);
INSERT INTO `##_system_status` VALUES (12, 'base_price', NULL);
INSERT INTO `##_system_status` VALUES (13, 'base_price', NULL);
INSERT INTO `##_system_status` VALUES (14, 'base_price', NULL);
INSERT INTO `##_system_status` VALUES (15, 'base_price', NULL);

INSERT INTO `##_system_status` VALUES (16, 'order_status', 'a:1:{s:4:"data";a:5:{s:15:"enable_download";i:0;s:7:"visible";s:1:"1";s:13:"visible_admin";i:1;s:19:"calculate_statistic";i:0;s:12:"reduce_stock";i:0;}}');
INSERT INTO `##_system_status` VALUES (17, 'order_status', 'a:1:{s:4:"data";a:5:{s:15:"enable_download";i:0;s:7:"visible";s:1:"1";s:13:"visible_admin";i:1;s:19:"calculate_statistic";i:0;s:12:"reduce_stock";i:0;}}');
INSERT INTO `##_system_status` VALUES (23, 'order_status', 'a:1:{s:4:"data";a:5:{s:15:"enable_download";i:1;s:7:"visible";s:1:"1";s:13:"visible_admin";i:1;s:19:"calculate_statistic";i:1;s:12:"reduce_stock";i:0;}}');
INSERT INTO `##_system_status` VALUES (32, 'order_status', 'a:1:{s:4:"data";a:5:{s:15:"enable_download";i:0;s:7:"visible";s:1:"1";s:13:"visible_admin";i:1;s:19:"calculate_statistic";i:0;s:12:"reduce_stock";i:0;}}');
INSERT INTO `##_system_status` VALUES (33, 'order_status', 'a:1:{s:4:"data";a:5:{s:15:"enable_download";i:1;s:7:"visible";s:1:"1";s:13:"visible_admin";i:1;s:19:"calculate_statistic";i:1;s:12:"reduce_stock";i:0;}}');
INSERT INTO `##_system_status` VALUES (34, 'order_status', 'a:1:{s:4:"data";a:5:{s:15:"enable_download";i:0;s:7:"visible";s:1:"1";s:13:"visible_admin";i:1;s:19:"calculate_statistic";i:0;s:12:"reduce_stock";i:1;}}');


INSERT INTO `##_system_status` VALUES (24, 'zone', NULL);
INSERT INTO `##_system_status` VALUES (25, 'zone', NULL);
INSERT INTO `##_system_status` VALUES (26, 'zone', NULL);
INSERT INTO `##_system_status` VALUES (27, 'zone', NULL);
INSERT INTO `##_system_status` VALUES (28, 'zone', NULL);
INSERT INTO `##_system_status` VALUES (29, 'zone', NULL);
INSERT INTO `##_system_status` VALUES (30, 'zone', NULL);
INSERT INTO `##_system_status` VALUES (31, 'zone', NULL)

INSERT INTO `##_system_status` VALUES (35, 'campaign', 'a:1:{s:4:\"data\";a:1:{s:6:\"ref_id\";s:64:\"&utm_source=google&utm_medium=preisvergleich&utm_campaign=google\";}}');
INSERT INTO `##_system_status` VALUES (36, 'campaign', 'a:1:{s:4:\"data\";a:1:{s:6:\"ref_id\";s:68:\"&utm_source=geizhals&utm_medium=preisvergleich&utm_campaign=geizhals\";}}');



CREATE TABLE `##_system_status_description` (
  `status_id` int(11) NOT NULL,
  `language_code` char(2) NOT NULL default '',
  `status_name` varchar(64) default NULL,
  `status_image` varchar(64) default NULL,
  PRIMARY KEY  (`status_id`,`language_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 

CREATE TABLE `##_tax_class` (
  `tax_class_id` int(11) NOT NULL auto_increment,
  `tax_class_title` varchar(32) NOT NULL,
  `last_modified` timestamp NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `date_added` datetime default NULL,
  PRIMARY KEY  (`tax_class_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE `##_tax_rates` (
  `tax_rates_id` int(11) NOT NULL auto_increment,
  `tax_zone_id` int(11) NOT NULL,
  `tax_class_id` int(11) NOT NULL default '0',
  `tax_rate` decimal(7,4) NOT NULL default '0.0000',
  `last_modified` timestamp NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `date_added` datetime default NULL,
  PRIMARY KEY  (`tax_rates_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('category', 'Erlaubt Zugriff auf die Kategorieverwaltung', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('multistore', NULL, 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('product', 'Erlaubt Zugriff auf die Produktverwaltung', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('supportcenter', NULL, 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('documentation', 'Erlaubt den Zugriff auf die XT:COMMERCE VEYTON Produktdokumentation.', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('ac_actindo', 'Erlaubt den Zugriff auf den LINK zu ACTINDO ERP', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('order', 'Erlaubt Zugriff auf Bestellungen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('customer', 'Erlaubt Zugriff auf die Kundendaten', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('customers_status', 'Erlaubt Zugriff auf die Kundengruppen und deren Kundenzuweisung', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('email_manager', 'Erlaubt Zugriff auf die Maileinstellungen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('manufacturer', 'Erlaubt Zugriff auf die Hersteller', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('xt_reviews', 'Erlaubt Zugriff auf die Bewertungen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('payment', 'Erlaubt Zugriff auf die Zahlungsarten', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('shipping', 'Erlaubt Zugriff auf die Versandarten', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('acl_area', NULL, 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('acl_groups', 'Erlaubt Zugriff auf die Admin-Gruppen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('acl_user', 'Erlaubt Zugriff auf die Administratoren', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('acl_group_to_permission', 'Erlaubt Zugriff auf die Admin-Gruppenberechtigungen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('configuration', 'Erlaubt Zugriff auf die Konfiguration des Shopsystems', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('MediaImageManager', 'Erlaubt Zugriff auf den Mediamanager für Bilder', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('MediaFileManager', 'Erlaubt Zugriff auf den Media-Manager für Dateien', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('MediaFileTypes', 'Erlaubt Zugriff auf den Media-Manager für Dateitypen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('ImageTypes', 'Erlaubt Zugriff auf den Media-Manager für Bildtypen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('MediaImages', NULL, 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('MediaGallery', NULL, 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('plugin_installed', 'Erlaubt Zugriff auf die Installierten Plugins', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('plugin_uninstalled', 'Erlaubt Zugriff auf die nicht installierten Plugins', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('tax', 'Erlaubt Zugriff auf die Steuersätze', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('currency', 'Erlaubt Zugriff auf die W&auml;hrungen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('tax_class', 'Erlaubt Zugriff auf die Steuerklassen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('countries', 'Erlaubt Zugriff auf die Länderlisten', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('language', 'Erlaubt Zugriff auf die Sprachen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('language_content', 'Erlaubt Zugriff auf die Sprachinhalte', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('bruto_force_protection', NULL, 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('callback', NULL, 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('adodbquery', NULL, 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('adodblive', NULL, 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('shipping_price', 'Erlaubt Zugriff auf die Versandpreise', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('payment_price', 'Erlaubt Zugriff auf die Aufpreise von Zahlungsarten', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('stock_rule', 'Erlaubt zugriff auf die Zuordnung des Lagerbestandes', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('shipping_status', 'Erlaubt Zugriff auf die Versndstatis', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('base_price', NULL, 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('order_status', 'Erlaubt Zugriff auf die Bestellstatis', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('zone', 'Erlaubt Zugriff auf die Zonenverwaltung', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('campaign', 'Erlaubt Zugriff auf die Kampagnen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('export', 'Erlaubt Zugriff auf die Exportverwaltung', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('content', 'Erlaubt Zugriff auf die Contents', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('content_blocks', 'Erlaubt Zugriff auf die Content Bl&ouml;cke', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('address', 'Erlaubt Zugriff auf die Kundenadressen', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('cross_selling_products', 'Erlaubt Zugriff auf das Produkt-Cross-Selling', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('product_to_media', 'Erlaubt Zugriff auf die Zuordnung von Produkten zu Medien ', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('product_to_cat', 'Erlaubt Zugriff auf die Zuordnung von Produkten zu Kategorien', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('product_to_mastercat', 'Erlaubt Zugriff auf die Zuordnung von Produkten zu Masterkategorien', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('plugin_hookpoints', 'Erlaubt Zugriff auf die Hookpoints von Plugins', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('xt_master_slave', 'Erlaubt Zugriff auf das Master-Slave System', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('xt_im_export', 'Erlaubt Zugriff auf die Im- und Export Verwaltung', 'default');
INSERT INTO `##_acl_area` (`area_name`, `area_description`, `category`) VALUES('cross_selling_to_products', 'Erlaubt Zugriff auf die Zuordnung von Cross-Selling Produkten', 'default');



CREATE TABLE `##_plugin_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `plugin_code` varchar(255) CHARACTER SET utf8 NOT NULL,
  `old_version` varchar(32) CHARACTER SET utf8 NOT NULL,
  `current_version` varchar(32) CHARACTER SET utf8 DEFAULT NULL,
  `xml` text CHARACTER SET utf8,
  `date_added` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


INSERT INTO `##_language_content` VALUES (3289, 0, 'de', 'TEXT_UPLOAD_PLUGIN', 'Sie k&ouml;nnen nun &uuml;ber ihren FTP-Client das Plugin in das Verzeichnis <b>%s</b> hochladen', 'admin', NULL);

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_EXPORT_LIMIT', 'Datens&auml;tze pro Durchgang', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_LINERETURN_DEACTIVATED', 'Zeilenumbruch im Body deaktivieren', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_ENCODING', 'Zeichensatz', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_EXPORT_TO_CATEGORIES', 'Kategoriezuweisung', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_EXPORT_TO_MANUFACTURERS', 'Herstellerzuweisung', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_KEY', 'Export ID', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_PRICE_MIN', 'Mindest-Produktpreis', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_PRICE_MAX', 'Höchst-Produktpreis', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_QUANTITY_MIN', 'Mindestmenge', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_QUANTITY_MAX', 'Höchstmenge', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_MODEL_MIN', 'Von Artikelnummer', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_MODEL_MAX', 'Bis Artikelnummer', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_DEACTIVATED_STATUS', 'Deaktivierte Produkte Exportieren?', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_EXPORT_LIMIT', 'Records per pass', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_LINERETURN_DEACTIVATED', 'Disable word wrap in the Body', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_ENCODING', 'character Set', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_EXPORT_TO_CATEGORIES', 'category assignment', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_EXPORT_TO_MANUFACTURERS', 'Manufacturers assignment', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_KEY', 'Export ID', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_PRICE_MIN', 'Minimum product price', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_PRICE_MAX', 'High product prices', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_QUANTITY_MIN', 'Minimum amount', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_QUANTITY_MAX', 'Maximum amount', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_MODEL_MIN', 'By Model', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_MODEL_MAX', 'By Model', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_DEACTIVATED_STATUS', 'Disabled Products Export?', 'admin', NULL);

